#include <linux/sdt.h>
extern void __dta_svm_set_irq_118(void);
extern void __dta_pf_interception_129(void);
extern void __dta_nested_svm_vmexit_166(void);
extern void __dta_enable_irq_window_114(void);
extern void __dta_handle_exit_201(void);
extern void __dta_wrmsr_interception_195(void);
extern void __dta_rdmsr_interception_192(void);
extern void __dta_invlpga_interception_190(void);
extern void __dta_skinit_interception_160(void);
extern void __dta_svm_adjust_tsc_offset_113(void);
extern void __dta_svm_write_tsc_offset_175(void);
extern void __dta_nested_svm_vmrun_178(void);
extern void __dta_svm_vcpu_run_130(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_kvm_write_tsc_offset",  "svm_adjust_tsc_offset" /* .text */, (uintptr_t)__dta_svm_adjust_tsc_offset_113+0xe1 },
  {"__perf_kvm_nested_intr_vmexit",  "enable_irq_window" /* .text */, (uintptr_t)__dta_enable_irq_window_114+0x148 },
  {"__perf_kvm_inj_virq",  "svm_set_irq" /* .text */, (uintptr_t)__dta_svm_set_irq_118+0x2d },
  {"__perf_kvm_page_fault",  "pf_interception" /* .text */, (uintptr_t)__dta_pf_interception_129+0x4f },
  {"__perf_kvm_exit",  "svm_vcpu_run" /* .text */, (uintptr_t)__dta_svm_vcpu_run_130+0x3be },
  {"__perf_kvm_skinit",  "skinit_interception" /* .text */, (uintptr_t)__dta_skinit_interception_160+0x5a },
  {"__perf_kvm_nested_vmexit_inject",  "nested_svm_vmexit" /* .text */, (uintptr_t)__dta_nested_svm_vmexit_166+0x66 },
  {"__perf_kvm_write_tsc_offset",  "svm_write_tsc_offset" /* .text */, (uintptr_t)__dta_svm_write_tsc_offset_175+0x98 },
  {"__perf_kvm_nested_vmrun",  "nested_svm_vmrun" /* .text */, (uintptr_t)__dta_nested_svm_vmrun_178+0xcf },
  {"__perf_kvm_nested_intercepts",  "nested_svm_vmrun" /* .text */, (uintptr_t)__dta_nested_svm_vmrun_178+0x111 },
  {"__perf_kvm_invlpga",  "invlpga_interception" /* .text */, (uintptr_t)__dta_invlpga_interception_190+0x85 },
  {"__perf_kvm_msr",  "rdmsr_interception" /* .text */, (uintptr_t)__dta_rdmsr_interception_192+0x60 },
  {"__perf_kvm_msr",  "rdmsr_interception" /* .text */, (uintptr_t)__dta_rdmsr_interception_192+0x154 },
  {"__perf_kvm_msr",  "wrmsr_interception" /* .text */, (uintptr_t)__dta_wrmsr_interception_195+0xf3 },
  {"__perf_kvm_msr",  "wrmsr_interception" /* .text */, (uintptr_t)__dta_wrmsr_interception_195+0x188 },
  {"__perf_kvm_nested_vmexit",  "handle_exit" /* .text */, (uintptr_t)__dta_handle_exit_201+0xda },
};

#define _sdt_probec	16
