#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "kvm-intel.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xde16dc16, __VMLINUX_SYMBOL_STR(tboot) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x6de70ba5, __VMLINUX_SYMBOL_STR(kvm_apic_write_nodecode) },
	{ 0xd0b2727a, __VMLINUX_SYMBOL_STR(kvm_mmu_set_mask_ptes) },
	{ 0x3356b90b, __VMLINUX_SYMBOL_STR(cpu_tss) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xb59ca730, __VMLINUX_SYMBOL_STR(kvm_complete_insn_gp) },
	{ 0x7991fd8d, __VMLINUX_SYMBOL_STR(crash_vmclear_loaded_vmcss) },
	{ 0x4fc32385, __VMLINUX_SYMBOL_STR(kvm_cpu_get_interrupt) },
	{ 0xb4fe5971, __VMLINUX_SYMBOL_STR(kvm_mmu_sync_roots) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xc8ab7ed5, __VMLINUX_SYMBOL_STR(kvm_release_page_dirty) },
	{ 0x2087888e, __VMLINUX_SYMBOL_STR(kvm_inject_page_fault) },
	{ 0xbb4e8ac8, __VMLINUX_SYMBOL_STR(kvm_require_dr) },
	{ 0x64020e10, __VMLINUX_SYMBOL_STR(kvm_set_shared_msr) },
	{ 0x64a34f49, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_vmexit_inject) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0xaae7da7c, __VMLINUX_SYMBOL_STR(kvm_set_msr_common) },
	{ 0x69d218bd, __VMLINUX_SYMBOL_STR(kvm_mmu_invlpg) },
	{ 0x63ed6ddf, __VMLINUX_SYMBOL_STR(kvm_inject_realmode_interrupt) },
	{ 0x3d1874d3, __VMLINUX_SYMBOL_STR(handle_mmio_page_fault_common) },
	{ 0x50d30358, __VMLINUX_SYMBOL_STR(kvm_vcpu_kick) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0xa4a9880, __VMLINUX_SYMBOL_STR(kvm_vcpu_init) },
	{ 0x3485b1ff, __VMLINUX_SYMBOL_STR(node_data) },
	{ 0x2ff9802, __VMLINUX_SYMBOL_STR(kvm_apic_set_eoi_accelerated) },
	{ 0x4c4f1833, __VMLINUX_SYMBOL_STR(boot_cpu_data) },
	{ 0xb976c20f, __VMLINUX_SYMBOL_STR(kvm_emulate_cpuid) },
	{ 0x4c51f664, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_exit) },
	{ 0x642c927f, __VMLINUX_SYMBOL_STR(hrtimer_cancel) },
	{ 0x40f91eeb, __VMLINUX_SYMBOL_STR(kvm_queue_exception_e) },
	{ 0x485cd7f6, __VMLINUX_SYMBOL_STR(kvm_rebooting) },
	{ 0x12faa80f, __VMLINUX_SYMBOL_STR(__srcu_read_unlock) },
	{ 0x197ed872, __VMLINUX_SYMBOL_STR(kvm_read_guest) },
	{ 0xc0a3d105, __VMLINUX_SYMBOL_STR(find_next_bit) },
	{ 0xc1fb6233, __VMLINUX_SYMBOL_STR(hrtimer_get_remaining) },
	{ 0x5df99f16, __VMLINUX_SYMBOL_STR(kvm_vcpu_on_spin) },
	{ 0x2a8631d1, __VMLINUX_SYMBOL_STR(kvm_mmu_unload) },
	{ 0xc87c1f84, __VMLINUX_SYMBOL_STR(ktime_get) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x3bdc0718, __VMLINUX_SYMBOL_STR(kvm_mmu_reset_context) },
	{ 0x7e7b8274, __VMLINUX_SYMBOL_STR(kvm_vcpu_reload_apic_access_page) },
	{ 0x60ee9172, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x66e86a91, __VMLINUX_SYMBOL_STR(kvm_mmu_page_fault) },
	{ 0x44aaf30f, __VMLINUX_SYMBOL_STR(tsc_khz) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x691a2d76, __VMLINUX_SYMBOL_STR(kvm_get_dr) },
	{ 0xf0b68da6, __VMLINUX_SYMBOL_STR(kvm_set_cr8) },
	{ 0xe685efbb, __VMLINUX_SYMBOL_STR(__alloc_pages_nodemask) },
	{ 0xc733a903, __VMLINUX_SYMBOL_STR(use_ibpb) },
	{ 0x5f5664e8, __VMLINUX_SYMBOL_STR(kvm_set_cr0) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x84f2fc2a, __VMLINUX_SYMBOL_STR(mark_page_dirty) },
	{ 0x98632201, __VMLINUX_SYMBOL_STR(kvm_release_page_clean) },
	{ 0x8a6104f, __VMLINUX_SYMBOL_STR(kvm_set_cr4) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0x2a02022b, __VMLINUX_SYMBOL_STR(kvm_get_guest_memory_type) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0xa9d9cbce, __VMLINUX_SYMBOL_STR(kvm_mmu_unprotect_page_virt) },
	{ 0xb5cbc106, __VMLINUX_SYMBOL_STR(kvm_get_msr) },
	{ 0xbb4e6a9c, __VMLINUX_SYMBOL_STR(kvm_write_tsc) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0x544b4d3d, __VMLINUX_SYMBOL_STR(kvm_get_linear_rip) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x29444f0, __VMLINUX_SYMBOL_STR(native_read_tsc) },
	{ 0x709cd8cb, __VMLINUX_SYMBOL_STR(kvm_spurious_fault) },
	{ 0x449ad0a7, __VMLINUX_SYMBOL_STR(memcmp) },
	{ 0x3b5dd35e, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_msr) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0x9263b3fd, __VMLINUX_SYMBOL_STR(kvm_emulate_hypercall) },
	{ 0x2ef2928a, __VMLINUX_SYMBOL_STR(kvm_set_dr) },
	{ 0x3e1f72e0, __VMLINUX_SYMBOL_STR(kvm_vcpu_cache) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x51753d95, __VMLINUX_SYMBOL_STR(kvm_x86_ops) },
	{ 0xaada8836, __VMLINUX_SYMBOL_STR(kvm_get_cr8) },
	{ 0x3bde0d9d, __VMLINUX_SYMBOL_STR(kmem_cache_free) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x178e0202, __VMLINUX_SYMBOL_STR(kvm_set_cr3) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0xc63edb14, __VMLINUX_SYMBOL_STR(kvm_emulate_wbinvd) },
	{ 0xc2cdbf1, __VMLINUX_SYMBOL_STR(synchronize_sched) },
	{ 0x5ee0db26, __VMLINUX_SYMBOL_STR(kvm_apic_update_irr) },
	{ 0x67916a34, __VMLINUX_SYMBOL_STR(__srcu_read_lock) },
	{ 0xb6a68816, __VMLINUX_SYMBOL_STR(find_last_bit) },
	{ 0x3a0c8515, __VMLINUX_SYMBOL_STR(kvm_before_handle_nmi) },
	{ 0xcca03002, __VMLINUX_SYMBOL_STR(cpu_bit_bitmap) },
	{ 0xc56d75ce, __VMLINUX_SYMBOL_STR(__kvm_apic_update_irr) },
	{ 0xcaed6f71, __VMLINUX_SYMBOL_STR(kvm_cpu_has_interrupt) },
	{ 0x53a2a3f7, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_inj_virq) },
	{ 0x8fbe59de, __VMLINUX_SYMBOL_STR(kvm_mmu_slot_set_dirty) },
	{ 0x9ee59155, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_page_fault) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0x39ecffab, __VMLINUX_SYMBOL_STR(kvm_mmu_slot_leaf_clear_dirty) },
	{ 0x6180738c, __VMLINUX_SYMBOL_STR(kvm_valid_efer) },
	{ 0xac3e93e3, __VMLINUX_SYMBOL_STR(kmem_cache_alloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0x9529f88, __VMLINUX_SYMBOL_STR(kvm_write_guest_page) },
	{ 0x618911fc, __VMLINUX_SYMBOL_STR(numa_node) },
	{ 0xcef3fec5, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_write_tsc_offset) },
	{ 0xb1ac776d, __VMLINUX_SYMBOL_STR(cpu_tlbstate) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0x1f12e387, __VMLINUX_SYMBOL_STR(kvm_after_handle_nmi) },
	{ 0x50e544da, __VMLINUX_SYMBOL_STR(kvm_queue_exception) },
	{ 0x73032782, __VMLINUX_SYMBOL_STR(cpu_possible_mask) },
	{ 0x12b9ae23, __VMLINUX_SYMBOL_STR(kvm_set_memory_region) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xb7314583, __VMLINUX_SYMBOL_STR(kvm_lapic_set_eoi) },
	{ 0x3e88ca73, __VMLINUX_SYMBOL_STR(kvm_lmsw) },
	{ 0x6b2dc060, __VMLINUX_SYMBOL_STR(dump_stack) },
	{ 0xee161b23, __VMLINUX_SYMBOL_STR(hrtimer_start) },
	{ 0x2c075fd8, __VMLINUX_SYMBOL_STR(kvm_requeue_exception_e) },
	{ 0x2d65f8c7, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_pml_full) },
	{ 0x46502167, __VMLINUX_SYMBOL_STR(kvm_init_shadow_ept_mmu) },
	{ 0x685ae9e5, __VMLINUX_SYMBOL_STR(pv_cpu_ops) },
	{ 0x50c0f797, __VMLINUX_SYMBOL_STR(kvm_require_cpl) },
	{ 0xaaf935, __VMLINUX_SYMBOL_STR(kvm_disable_tdp) },
	{ 0xa3bdf5a1, __VMLINUX_SYMBOL_STR(kvm_mmu_clear_dirty_pt_masked) },
	{ 0xba9ed435, __VMLINUX_SYMBOL_STR(kvm_mmu_set_mmio_spte_mask) },
	{ 0x2d3ecf4f, __VMLINUX_SYMBOL_STR(kvm_io_bus_write) },
	{ 0xaa79cab5, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_cr) },
	{ 0x1f7af249, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_ple_window) },
	{ 0x9052f4ba, __VMLINUX_SYMBOL_STR(kvm_write_guest) },
	{ 0x421dde75, __VMLINUX_SYMBOL_STR(x86_emulate_instruction) },
	{ 0x8ce4f3ab, __VMLINUX_SYMBOL_STR(kvm_enable_tdp) },
	{ 0x7b9074be, __VMLINUX_SYMBOL_STR(kvm_read_guest_virt) },
	{ 0x71df89e5, __VMLINUX_SYMBOL_STR(kvm_task_switch) },
	{ 0x85a7243c, __VMLINUX_SYMBOL_STR(kvm_find_cpuid_entry) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x218f234b, __VMLINUX_SYMBOL_STR(kvm_write_guest_virt_system) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0xb19a5453, __VMLINUX_SYMBOL_STR(__per_cpu_offset) },
	{ 0xb451321a, __VMLINUX_SYMBOL_STR(kvm_mtrr_valid) },
	{ 0x7981b29c, __VMLINUX_SYMBOL_STR(kvm_set_xcr) },
	{ 0x9a216313, __VMLINUX_SYMBOL_STR(kvm_define_shared_msr) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0x976e5e7d, __VMLINUX_SYMBOL_STR(use_ibrs) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xf9a2c7cd, __VMLINUX_SYMBOL_STR(kvm_set_apic_base) },
	{ 0x9f13d841, __VMLINUX_SYMBOL_STR(kvm_emulate_halt) },
	{ 0xc547d87, __VMLINUX_SYMBOL_STR(kvm_arch_has_noncoherent_dma) },
	{ 0x7c89db95, __VMLINUX_SYMBOL_STR(kvm_vcpu_uninit) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0xc8807f15, __VMLINUX_SYMBOL_STR(__kvm_set_memory_region) },
	{ 0x5b10ced5, __VMLINUX_SYMBOL_STR(kvm_mmu_slot_largepage_remove_write_access) },
	{ 0x5d3a2cd1, __VMLINUX_SYMBOL_STR(kvm_get_msr_common) },
	{ 0xc23e1559, __VMLINUX_SYMBOL_STR(pv_mmu_ops) },
	{ 0x3490e35, __VMLINUX_SYMBOL_STR(hrtimer_init) },
	{ 0x6194ffea, __VMLINUX_SYMBOL_STR(do_machine_check) },
	{ 0x53569707, __VMLINUX_SYMBOL_STR(this_cpu_off) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x5fa36c47, __VMLINUX_SYMBOL_STR(gfn_to_page) },
	{ 0xe094aee9, __VMLINUX_SYMBOL_STR(kvm_mmu_get_spte_hierarchy) },
	{ 0x9adb5415, __VMLINUX_SYMBOL_STR(kvm_fast_pio_out) },
	{ 0x317f9e6b, __VMLINUX_SYMBOL_STR(kvm_enable_efer_bits) },
	{ 0x27977718, __VMLINUX_SYMBOL_STR(apic) },
	{ 0x7f2c1163, __VMLINUX_SYMBOL_STR(__tracepoint_kvm_nested_vmexit) },
	{ 0xb91a8429, __VMLINUX_SYMBOL_STR(kvm_set_msr) },
	{ 0x783259d9, __VMLINUX_SYMBOL_STR(kvm_init) },
	{ 0x27046576, __VMLINUX_SYMBOL_STR(kvm_exit) },
	{ 0x48682db9, __VMLINUX_SYMBOL_STR(perf_guest_get_msrs) },
	{ 0x20de5193, __VMLINUX_SYMBOL_STR(kvm_disable_largepages) },
	{ 0xf21057a5, __VMLINUX_SYMBOL_STR(kvm_requeue_exception) },
	{ 0x5e84c7a6, __VMLINUX_SYMBOL_STR(kvm_clear_guest_page) },
	{ 0x3f1e6241, __VMLINUX_SYMBOL_STR(kvm_vcpu_halt) },
	{ 0x6228c21f, __VMLINUX_SYMBOL_STR(smp_call_function_single) },
	{ 0xc400b70, __VMLINUX_SYMBOL_STR(kvm_rdpmc) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=kvm";

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*0085*");

MODULE_INFO(srcversion, "6DE6C146C7F18C3C4155D8E");
