#include <linux/sdt.h>
extern void __dta_handle_wrmsr_313(void);
extern void __dta_nested_vmx_exit_handled_303(void);
extern void __dta_trace_kvm_cr_203(void);
extern void __dta_vmx_write_tsc_offset_186(void);
extern void __dta_vmx_adjust_tsc_offset_312(void);
extern void __dta_vmx_sched_in_310(void);
extern void __dta_handle_ept_violation_257(void);
extern void __dta_handle_pause_293(void);
extern void __dta_handle_pml_full_198(void);
extern void __dta_vmx_inject_irq_195(void);
extern void __dta_vmx_vcpu_run_259(void);
extern void __dta_handle_exception_332(void);
extern void __dta_handle_rdmsr_322(void);
extern void __dta_nested_vmx_vmexit_278(void);
extern void __dta_handle_cr_325(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_kvm_write_tsc_offset",  "vmx_write_tsc_offset" /* .text */, (uintptr_t)__dta_vmx_write_tsc_offset_186+0x88 },
  {"__perf_kvm_inj_virq",  "vmx_inject_irq" /* .text */, (uintptr_t)__dta_vmx_inject_irq_195+0x27 },
  {"__perf_kvm_pml_full",  "handle_pml_full" /* .text */, (uintptr_t)__dta_handle_pml_full_198+0x23 },
  {"__perf_kvm_cr",  "trace_kvm_cr" /* .text */, (uintptr_t)__dta_trace_kvm_cr_203+0x28 },
  {"__perf_kvm_page_fault",  "handle_ept_violation" /* .text */, (uintptr_t)__dta_handle_ept_violation_257+0x71 },
  {"__perf_kvm_exit",  "vmx_vcpu_run" /* .text */, (uintptr_t)__dta_vmx_vcpu_run_259+0x41c },
  {"__perf_kvm_nested_vmexit_inject",  "nested_vmx_vmexit" /* .text */, (uintptr_t)__dta_nested_vmx_vmexit_278+0xc2 },
  {"__perf_kvm_ple_window",  "handle_pause" /* .text */, (uintptr_t)__dta_handle_pause_293+0x90 },
  {"__perf_kvm_nested_vmexit",  "nested_vmx_exit_handled" /* .text */, (uintptr_t)__dta_nested_vmx_exit_handled_303+0xab },
  {"__perf_kvm_ple_window",  "vmx_sched_in" /* .text */, (uintptr_t)__dta_vmx_sched_in_310+0x7b },
  {"__perf_kvm_write_tsc_offset",  "vmx_adjust_tsc_offset" /* .text */, (uintptr_t)__dta_vmx_adjust_tsc_offset_312+0x7d },
  {"__perf_kvm_msr",  "handle_wrmsr" /* .text */, (uintptr_t)__dta_handle_wrmsr_313+0x5e },
  {"__perf_kvm_msr",  "handle_wrmsr" /* .text */, (uintptr_t)__dta_handle_wrmsr_313+0xf0 },
  {"__perf_kvm_msr",  "handle_rdmsr" /* .text */, (uintptr_t)__dta_handle_rdmsr_322+0x49 },
  {"__perf_kvm_msr",  "handle_rdmsr" /* .text */, (uintptr_t)__dta_handle_rdmsr_322+0xf4 },
  {"__perf_kvm_cr",  "handle_cr" /* .text */, (uintptr_t)__dta_handle_cr_325+0xa1 },
  {"__perf_kvm_cr",  "handle_cr" /* .text */, (uintptr_t)__dta_handle_cr_325+0x1c0 },
  {"__perf_kvm_cr",  "handle_cr" /* .text */, (uintptr_t)__dta_handle_cr_325+0x22b },
  {"__perf_kvm_page_fault",  "handle_exception" /* .text */, (uintptr_t)__dta_handle_exception_332+0x254 },
};

#define _sdt_probec	19
