#include <linux/sdt.h>
extern void kvm_cpuid(void);
extern void __dta_paging64_walk_addr_generic_1593(void);
extern void __dta_kvm_mmu_prepare_zap_page_1514(void);
extern void __dta_apic_sync_pv_eoi_from_guest_1967(void);
extern void kvm_write_tsc(void);
extern void kvm_vcpu_block(void);
extern void __dta_kvm_unlink_unsync_page_1513(void);
extern void __dta_ioapic_set_irq_2015(void);
extern void __dta_kvm_age_rmapp_1453(void);
extern void __dta_vcpu_mmio_read_957(void);
extern void __dta_try_async_pf_1533(void);
extern void __dta___kvm_ioapic_update_eoi_2022(void);
extern void kvm_arch_async_page_not_present(void);
extern void x86_emulate_instruction(void);
extern void __dta_write_mmio_958(void);
extern void __dta_kvm_vcpu_ioctl_459(void);
extern void __dta_apic_reg_read_1964(void);
extern void kvm_load_guest_fpu(void);
extern void __dta_kvm_guest_time_update_892(void);
extern void __dta___apic_accept_irq_1961(void);
extern void __dta_apic_set_eoi_1966(void);
extern void __dta_ept_walk_addr_generic_1594(void);
extern void kvm_notify_acked_irq(void);
extern void __dta_async_pf_execute_738(void);
extern void __dta_kvm_unsync_pages_1539(void);
extern void __dta_inject_pending_event_997(void);
extern void kvm_put_guest_fpu(void);
extern void __dta_handle_emulation_failure_946(void);
extern void kvm_set_msi(void);
extern void __dta_apic_reg_write_1970(void);
extern void __dta_mark_mmio_spte_1537(void);
extern void __dta_read_exit_mmio_959(void);
extern void __dta_vcpu_mmio_gva_to_gpa_948(void);
extern void kvm_set_irq(void);
extern void __dta_kvm_mmu_get_page_1596(void);
extern void __dta_vcpu_enter_guest_998(void);
extern void wait_lapic_expire(void);
extern void __dta_paging32_walk_addr_generic_1595(void);
extern void __dta_trace_kvm_mmu_walker_error_1528(void);
extern void __dta_read_prepare_872(void);
extern void kvm_apic_set_eoi_accelerated(void);
extern void __dta_emulator_pio_in_emulated_870(void);
extern void __dta_pvclock_update_vm_gtod_copy_856(void);
extern void kvm_hv_hypercall(void);
extern void kvm_set_irq_inatomic(void);
extern void handle_mmio_page_fault_common(void);
extern void __dta_fast_page_fault_1532(void);
extern void __dta_paging64_update_accessed_dirty_bits_1561(void);
extern void kvm_mmu_invalidate_zap_all_pages(void);
extern void __dta_paging32_update_accessed_dirty_bits_1569(void);
extern void kvm_pic_set_irq(void);
extern void kvm_arch_async_page_present(void);
extern void __dta_emulator_pio_out_emulated_947(void);
extern void kvm_emulate_hypercall(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_kvm_vcpu_wakeup",  "kvm_vcpu_block" /* .text */, (uintptr_t)kvm_vcpu_block+0xbb },
  {"__perf_kvm_userspace_exit",  "kvm_vcpu_ioctl" /* .text */, (uintptr_t)__dta_kvm_vcpu_ioctl_459+0x40b },
  {"__perf_kvm_ack_irq",  "kvm_notify_acked_irq" /* .text */, (uintptr_t)kvm_notify_acked_irq+0x22 },
  {"__perf_kvm_set_irq",  "kvm_set_irq" /* .text */, (uintptr_t)kvm_set_irq+0x31 },
  {"__perf_kvm_async_pf_completed",  "async_pf_execute" /* .text */, (uintptr_t)__dta_async_pf_execute_738+0x99 },
  {"__perf_kvm_async_pf_ready",  "kvm_arch_async_page_present" /* .text */, (uintptr_t)kvm_arch_async_page_present+0x2a },
  {"__perf_kvm_async_pf_not_present",  "kvm_arch_async_page_not_present" /* .text */, (uintptr_t)kvm_arch_async_page_not_present+0x2a },
  {"__perf_kvm_update_master_clock",  "pvclock_update_vm_gtod_copy" /* .text */, (uintptr_t)__dta_pvclock_update_vm_gtod_copy_856+0x56 },
  {"__perf_kvm_pio",  "emulator_pio_in_emulated" /* .text */, (uintptr_t)__dta_emulator_pio_in_emulated_870+0x87 },
  {"__perf_kvm_mmio",  "read_prepare" /* .text */, (uintptr_t)__dta_read_prepare_872+0x67 },
  {"__perf_kvm_fpu",  "kvm_load_guest_fpu" /* .text */, (uintptr_t)kvm_load_guest_fpu+0x90 },
  {"__perf_kvm_pvclock_update",  "kvm_guest_time_update" /* .text */, (uintptr_t)__dta_kvm_guest_time_update_892+0x166 },
  {"__perf_kvm_track_tsc",  "kvm_write_tsc" /* .text */, (uintptr_t)kvm_write_tsc+0x23e },
  {"__perf_kvm_emulate_insn",  "handle_emulation_failure" /* .text */, (uintptr_t)__dta_handle_emulation_failure_946+0x1b },
  {"__perf_kvm_pio",  "emulator_pio_out_emulated" /* .text */, (uintptr_t)__dta_emulator_pio_out_emulated_947+0x6d },
  {"__perf_vcpu_match_mmio",  "vcpu_mmio_gva_to_gpa" /* .text */, (uintptr_t)__dta_vcpu_mmio_gva_to_gpa_948+0x19b },
  {"__perf_vcpu_match_mmio",  "vcpu_mmio_gva_to_gpa" /* .text */, (uintptr_t)__dta_vcpu_mmio_gva_to_gpa_948+0x1f3 },
  {"__perf_kvm_mmio",  "vcpu_mmio_read" /* .text */, (uintptr_t)__dta_vcpu_mmio_read_957+0x5b },
  {"__perf_kvm_fpu",  "kvm_put_guest_fpu" /* .text */, (uintptr_t)kvm_put_guest_fpu+0xc2 },
  {"__perf_kvm_mmio",  "write_mmio" /* .text */, (uintptr_t)__dta_write_mmio_958+0x36 },
  {"__perf_kvm_mmio",  "read_exit_mmio" /* .text */, (uintptr_t)__dta_read_exit_mmio_959+0x21 },
  {"__perf_kvm_inj_exception",  "inject_pending_event" /* .text */, (uintptr_t)__dta_inject_pending_event_997+0x100 },
  {"__perf_kvm_entry",  "vcpu_enter_guest" /* .text */, (uintptr_t)__dta_vcpu_enter_guest_998+0x512 },
  {"__perf_kvm_emulate_insn",  "x86_emulate_instruction" /* .text */, (uintptr_t)x86_emulate_instruction+0x283 },
  {"__perf_kvm_hv_hypercall",  "kvm_hv_hypercall" /* .text */, (uintptr_t)kvm_hv_hypercall+0x14e },
  {"__perf_kvm_hypercall",  "kvm_emulate_hypercall" /* .text */, (uintptr_t)kvm_emulate_hypercall+0xc7 },
  {"__perf_kvm_mmu_sync_page",  "kvm_unlink_unsync_page" /* .text */, (uintptr_t)__dta_kvm_unlink_unsync_page_1513+0x28 },
  {"__perf_kvm_mmu_prepare_zap_page",  "kvm_mmu_prepare_zap_page" /* .text */, (uintptr_t)__dta_kvm_mmu_prepare_zap_page_1514+0x22 },
  {"__perf_kvm_mmu_invalidate_zap_all_pages",  "kvm_mmu_invalidate_zap_all_pages" /* .text */, (uintptr_t)kvm_mmu_invalidate_zap_all_pages+0x2c },
  {"__perf_kvm_mmu_walker_error",  "trace_kvm_mmu_walker_error" /* .text */, (uintptr_t)__dta_trace_kvm_mmu_walker_error_1528+0xc },
  {"__perf_fast_page_fault",  "fast_page_fault" /* .text */, (uintptr_t)__dta_fast_page_fault_1532+0x102 },
  {"__perf_kvm_try_async_get_page",  "try_async_pf" /* .text */, (uintptr_t)__dta_try_async_pf_1533+0xd4 },
  {"__perf_kvm_async_pf_doublefault",  "try_async_pf" /* .text */, (uintptr_t)__dta_try_async_pf_1533+0xf4 },
  {"__perf_mark_mmio_spte",  "mark_mmio_spte" /* .text */, (uintptr_t)__dta_mark_mmio_spte_1537+0x64 },
  {"__perf_kvm_mmu_unsync_page",  "kvm_unsync_pages" /* .text */, (uintptr_t)__dta_kvm_unsync_pages_1539+0x7e },
  {"__perf_check_mmio_spte",  "handle_mmio_page_fault_common" /* .text */, (uintptr_t)handle_mmio_page_fault_common+0x1d0 },
  {"__perf_handle_mmio_page_fault",  "handle_mmio_page_fault_common" /* .text */, (uintptr_t)handle_mmio_page_fault_common+0x226 },
  {"__perf_kvm_age_page",  "kvm_age_rmapp" /* .text */, (uintptr_t)__dta_kvm_age_rmapp_1453+0x49 },
  {"__perf_kvm_mmu_set_accessed_bit",  "paging64_update_accessed_dirty_bits" /* .text */, (uintptr_t)__dta_paging64_update_accessed_dirty_bits_1561+0x15a },
  {"__perf_kvm_mmu_set_dirty_bit",  "paging64_update_accessed_dirty_bits" /* .text */, (uintptr_t)__dta_paging64_update_accessed_dirty_bits_1561+0x192 },
  {"__perf_kvm_mmu_set_accessed_bit",  "paging32_update_accessed_dirty_bits" /* .text */, (uintptr_t)__dta_paging32_update_accessed_dirty_bits_1569+0x150 },
  {"__perf_kvm_mmu_set_dirty_bit",  "paging32_update_accessed_dirty_bits" /* .text */, (uintptr_t)__dta_paging32_update_accessed_dirty_bits_1569+0x182 },
  {"__perf_kvm_mmu_pagetable_walk",  "paging64_walk_addr_generic" /* .text */, (uintptr_t)__dta_paging64_walk_addr_generic_1593+0x37 },
  {"__perf_kvm_mmu_paging_element",  "paging64_walk_addr_generic" /* .text */, (uintptr_t)__dta_paging64_walk_addr_generic_1593+0x185 },
  {"__perf_kvm_mmu_paging_element",  "paging64_walk_addr_generic" /* .text */, (uintptr_t)__dta_paging64_walk_addr_generic_1593+0x418 },
  {"__perf_kvm_mmu_pagetable_walk",  "ept_walk_addr_generic" /* .text */, (uintptr_t)__dta_ept_walk_addr_generic_1594+0x2e },
  {"__perf_kvm_mmu_paging_element",  "ept_walk_addr_generic" /* .text */, (uintptr_t)__dta_ept_walk_addr_generic_1594+0x136 },
  {"__perf_kvm_mmu_pagetable_walk",  "paging32_walk_addr_generic" /* .text */, (uintptr_t)__dta_paging32_walk_addr_generic_1595+0x37 },
  {"__perf_kvm_mmu_paging_element",  "paging32_walk_addr_generic" /* .text */, (uintptr_t)__dta_paging32_walk_addr_generic_1595+0x145 },
  {"__perf_kvm_mmu_get_page",  "kvm_mmu_get_page" /* .text */, (uintptr_t)__dta_kvm_mmu_get_page_1596+0x28c },
  {"__perf_kvm_mmu_get_page",  "kvm_mmu_get_page" /* .text */, (uintptr_t)__dta_kvm_mmu_get_page_1596+0x320 },
  {"__perf_kvm_pic_set_irq",  "kvm_pic_set_irq" /* .text */, (uintptr_t)kvm_pic_set_irq+0x106 },
  {"__perf_kvm_eoi",  "kvm_apic_set_eoi_accelerated" /* .text */, (uintptr_t)kvm_apic_set_eoi_accelerated+0x28 },
  {"__perf_kvm_apic_accept_irq",  "__apic_accept_irq" /* .text */, (uintptr_t)__dta___apic_accept_irq_1961+0x63 },
  {"__perf_kvm_wait_lapic_expire",  "wait_lapic_expire" /* .text */, (uintptr_t)wait_lapic_expire+0xcd },
  {"__perf_kvm_apic",  "apic_reg_read" /* .text */, (uintptr_t)__dta_apic_reg_read_1964+0x8c },
  {"__perf_kvm_eoi",  "apic_set_eoi" /* .text */, (uintptr_t)__dta_apic_set_eoi_1966+0x41 },
  {"__perf_kvm_pv_eoi",  "apic_sync_pv_eoi_from_guest" /* .text */, (uintptr_t)__dta_apic_sync_pv_eoi_from_guest_1967+0xb0 },
  {"__perf_kvm_apic",  "apic_reg_write" /* .text */, (uintptr_t)__dta_apic_reg_write_1970+0x25 },
  {"__perf_kvm_apic_ipi",  "apic_reg_write" /* .text */, (uintptr_t)__dta_apic_reg_write_1970+0x2e9 },
  {"__perf_kvm_ioapic_set_irq",  "ioapic_set_irq" /* .text */, (uintptr_t)__dta_ioapic_set_irq_2015+0x5b },
  {"__perf_kvm_ioapic_delayed_eoi_inj",  "__kvm_ioapic_update_eoi" /* .text */, (uintptr_t)__dta___kvm_ioapic_update_eoi_2022+0x1b3 },
  {"__perf_kvm_set_irq",  "kvm_set_irq_inatomic" /* .text */, (uintptr_t)kvm_set_irq_inatomic+0x37 },
  {"__perf_kvm_msi_set_irq",  "kvm_set_irq_inatomic" /* .text */, (uintptr_t)kvm_set_irq_inatomic+0x11f },
  {"__perf_kvm_msi_set_irq",  "kvm_set_msi" /* .text */, (uintptr_t)kvm_set_msi+0x5e },
  {"__perf_kvm_cpuid",  "kvm_cpuid" /* .text */, (uintptr_t)kvm_cpuid+0xb2 },
};

#define _sdt_probec	66
