#include <linux/sdt.h>
extern void i2c_smbus_xfer(void);
extern void __i2c_transfer(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_i2c_read",  "__i2c_transfer" /* .text */, (uintptr_t)__i2c_transfer+0xd7 },
  {"__perf_i2c_reply",  "__i2c_transfer" /* .text */, (uintptr_t)__i2c_transfer+0x17c },
  {"__perf_i2c_result",  "__i2c_transfer" /* .text */, (uintptr_t)__i2c_transfer+0x19c },
  {"__perf_i2c_write",  "__i2c_transfer" /* .text */, (uintptr_t)__i2c_transfer+0x1b9 },
  {"__perf_smbus_write",  "i2c_smbus_xfer" /* .text */, (uintptr_t)i2c_smbus_xfer+0x73 },
  {"__perf_smbus_read",  "i2c_smbus_xfer" /* .text */, (uintptr_t)i2c_smbus_xfer+0x94 },
  {"__perf_smbus_reply",  "i2c_smbus_xfer" /* .text */, (uintptr_t)i2c_smbus_xfer+0x1c7 },
  {"__perf_smbus_result",  "i2c_smbus_xfer" /* .text */, (uintptr_t)i2c_smbus_xfer+0x1ef },
};

#define _sdt_probec	8
