#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "e100.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x3a0cb934, __VMLINUX_SYMBOL_STR(ethtool_op_get_ts_info) },
	{ 0xcebd672f, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0xcc5005fe, __VMLINUX_SYMBOL_STR(msleep_interruptible) },
	{ 0x10d35870, __VMLINUX_SYMBOL_STR(pci_restore_state) },
	{ 0x7e67f432, __VMLINUX_SYMBOL_STR(netif_device_attach) },
	{ 0x7b88712d, __VMLINUX_SYMBOL_STR(__pci_enable_wake) },
	{ 0xd6b8e852, __VMLINUX_SYMBOL_STR(request_threaded_irq) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0x8f5c6a98, __VMLINUX_SYMBOL_STR(__netdev_alloc_skb) },
	{ 0xa8721b97, __VMLINUX_SYMBOL_STR(system_state) },
	{ 0x43ddf61f, __VMLINUX_SYMBOL_STR(pci_clear_master) },
	{ 0x65185c9d, __VMLINUX_SYMBOL_STR(pci_save_state) },
	{ 0xeb6f020, __VMLINUX_SYMBOL_STR(netif_device_detach) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xf20dabd8, __VMLINUX_SYMBOL_STR(free_irq) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0xcb50b16d, __VMLINUX_SYMBOL_STR(skb_tstamp_tx) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x2a37d074, __VMLINUX_SYMBOL_STR(dma_pool_free) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0xe6234436, __VMLINUX_SYMBOL_STR(__dev_kfree_skb_any) },
	{ 0x5c89b93f, __VMLINUX_SYMBOL_STR(netif_receive_skb_sk) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0xf1012091, __VMLINUX_SYMBOL_STR(skb_put) },
	{ 0x194bac91, __VMLINUX_SYMBOL_STR(__pci_register_driver) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0x91eb9b4, __VMLINUX_SYMBOL_STR(round_jiffies) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0xdaf7bd2f, __VMLINUX_SYMBOL_STR(mii_check_link) },
	{ 0x556e61a4, __VMLINUX_SYMBOL_STR(dma_pool_create) },
	{ 0x9f38887e, __VMLINUX_SYMBOL_STR(x86_dma_fallback_dev) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xbdf1b980, __VMLINUX_SYMBOL_STR(pci_pme_active) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x9b66be6a, __VMLINUX_SYMBOL_STR(pci_iomap) },
	{ 0x904e94af, __VMLINUX_SYMBOL_STR(dma_set_mask) },
	{ 0x238431c0, __VMLINUX_SYMBOL_STR(pci_request_regions) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0xad585ca6, __VMLINUX_SYMBOL_STR(alloc_etherdev_mqs) },
	{ 0x57e167e0, __VMLINUX_SYMBOL_STR(generic_mii_ioctl) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0xc5534d64, __VMLINUX_SYMBOL_STR(ioread16) },
	{ 0xc0c8e6ae, __VMLINUX_SYMBOL_STR(mii_nway_restart) },
	{ 0x1862541b, __VMLINUX_SYMBOL_STR(mii_ethtool_sset) },
	{ 0xa6d9a5ae, __VMLINUX_SYMBOL_STR(mii_ethtool_gset) },
	{ 0x94713d0a, __VMLINUX_SYMBOL_STR(mii_link_ok) },
	{ 0x8bcec280, __VMLINUX_SYMBOL_STR(device_set_wakeup_enable) },
	{ 0x1d2d5f1a, __VMLINUX_SYMBOL_STR(pci_disable_device) },
	{ 0xc33a7685, __VMLINUX_SYMBOL_STR(pci_release_regions) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0xb5aa7165, __VMLINUX_SYMBOL_STR(dma_pool_destroy) },
	{ 0xe19651ca, __VMLINUX_SYMBOL_STR(pci_iounmap) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x44d93e79, __VMLINUX_SYMBOL_STR(pci_prepare_to_sleep) },
	{ 0x3133f816, __VMLINUX_SYMBOL_STR(pci_set_power_state) },
	{ 0x7caf5036, __VMLINUX_SYMBOL_STR(pci_wake_from_d3) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x173c7d98, __VMLINUX_SYMBOL_STR(pci_set_master) },
	{ 0x59e2ce9f, __VMLINUX_SYMBOL_STR(pci_enable_device) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0xe679a5fe, __VMLINUX_SYMBOL_STR(request_firmware) },
	{ 0x2443a2a4, __VMLINUX_SYMBOL_STR(release_firmware) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x727c4f3, __VMLINUX_SYMBOL_STR(iowrite8) },
	{ 0xf10de535, __VMLINUX_SYMBOL_STR(ioread8) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x436c2179, __VMLINUX_SYMBOL_STR(iowrite32) },
	{ 0xe484e35f, __VMLINUX_SYMBOL_STR(ioread32) },
	{ 0xeae3dfd6, __VMLINUX_SYMBOL_STR(__const_udelay) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0x3f6c5dd8, __VMLINUX_SYMBOL_STR(netdev_info) },
	{ 0xec668884, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x5c2a2b20, __VMLINUX_SYMBOL_STR(netdev_printk) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x771cf835, __VMLINUX_SYMBOL_STR(dma_pool_alloc) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x1e98219, __VMLINUX_SYMBOL_STR(pci_unregister_driver) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mii";

MODULE_ALIAS("pci:v00008086d00001029sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001030sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001031sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001032sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001033sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001034sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001038sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001039sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Csv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000103Esv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001050sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001051sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001052sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001053sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001054sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001055sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001056sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001057sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001059sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001064sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001065sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001066sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001067sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001068sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001069sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Asv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000106Bsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001091sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001092sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001093sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001094sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001095sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000010FEsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001209sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00001229sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002449sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d00002459sv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d0000245Dsv*sd*bc02sc00i*");
MODULE_ALIAS("pci:v00008086d000027DCsv*sd*bc02sc00i*");

MODULE_INFO(srcversion, "C69DEF77F259FA57C9E55B9");
