#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "xen-netback.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x25f02c87, __VMLINUX_SYMBOL_STR(xen_p2m_addr) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x3ce4ca6f, __VMLINUX_SYMBOL_STR(disable_irq) },
	{ 0x3f6c5dd8, __VMLINUX_SYMBOL_STR(netdev_info) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x2545c170, __VMLINUX_SYMBOL_STR(unregister_xenbus_watch) },
	{ 0x542aea41, __VMLINUX_SYMBOL_STR(xenbus_map_ring_valloc) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0x5c23d257, __VMLINUX_SYMBOL_STR(debugfs_create_dir) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0xf3497296, __VMLINUX_SYMBOL_STR(gnttab_map_refs) },
	{ 0x2120948f, __VMLINUX_SYMBOL_STR(single_open) },
	{ 0x9d06688b, __VMLINUX_SYMBOL_STR(register_xenbus_watch) },
	{ 0xfc6d95d8, __VMLINUX_SYMBOL_STR(napi_disable) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0xc8b57c27, __VMLINUX_SYMBOL_STR(autoremove_wake_function) },
	{ 0x9469482, __VMLINUX_SYMBOL_STR(kfree_call_rcu) },
	{ 0x210ed91b, __VMLINUX_SYMBOL_STR(__skb_flow_dissect) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0xb95d9e5b, __VMLINUX_SYMBOL_STR(xenbus_dev_is_online) },
	{ 0xfe727411, __VMLINUX_SYMBOL_STR(get_phys_to_machine) },
	{ 0x49b8af23, __VMLINUX_SYMBOL_STR(gnttab_alloc_pages) },
	{ 0xc504a7a6, __VMLINUX_SYMBOL_STR(single_release) },
	{ 0xf1dd018c, __VMLINUX_SYMBOL_STR(gnttab_unmap_refs) },
	{ 0x55526907, __VMLINUX_SYMBOL_STR(xen_features) },
	{ 0xc7a4fbed, __VMLINUX_SYMBOL_STR(rtnl_lock) },
	{ 0xe9a7f26f, __VMLINUX_SYMBOL_STR(kobject_uevent) },
	{ 0x9b3c5704, __VMLINUX_SYMBOL_STR(netif_carrier_on) },
	{ 0x20000329, __VMLINUX_SYMBOL_STR(simple_strtoul) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x716510e5, __VMLINUX_SYMBOL_STR(netif_carrier_off) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x60ee9172, __VMLINUX_SYMBOL_STR(param_ops_bool) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x8c06a108, __VMLINUX_SYMBOL_STR(xenbus_transaction_start) },
	{ 0x964add15, __VMLINUX_SYMBOL_STR(xenbus_scanf) },
	{ 0x999e8297, __VMLINUX_SYMBOL_STR(vfree) },
	{ 0xf0521521, __VMLINUX_SYMBOL_STR(debugfs_create_file) },
	{ 0x3a7d80f9, __VMLINUX_SYMBOL_STR(xen_max_p2m_pfn) },
	{ 0x3123fd2c, __VMLINUX_SYMBOL_STR(xenbus_unmap_ring_vfree) },
	{ 0x7b789055, __VMLINUX_SYMBOL_STR(debugfs_remove_recursive) },
	{ 0x64d48908, __VMLINUX_SYMBOL_STR(seq_read) },
	{ 0x714518c7, __VMLINUX_SYMBOL_STR(kthread_create_on_node) },
	{ 0xf5952e8, __VMLINUX_SYMBOL_STR(netif_napi_del) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x8b615b6b, __VMLINUX_SYMBOL_STR(__dynamic_netdev_dbg) },
	{ 0x86623fd7, __VMLINUX_SYMBOL_STR(notify_remote_via_irq) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0xfe7c4287, __VMLINUX_SYMBOL_STR(nr_cpu_ids) },
	{ 0xd5f2172f, __VMLINUX_SYMBOL_STR(del_timer_sync) },
	{ 0xb09a4ed5, __VMLINUX_SYMBOL_STR(netif_tx_wake_queue) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x92bf96f2, __VMLINUX_SYMBOL_STR(gnttab_free_pages) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xe58eaaa, __VMLINUX_SYMBOL_STR(__xenbus_register_backend) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x7567599d, __VMLINUX_SYMBOL_STR(ethtool_op_get_link) },
	{ 0x7db9f3ec, __VMLINUX_SYMBOL_STR(kthread_stop) },
	{ 0x7ee6a587, __VMLINUX_SYMBOL_STR(xenbus_watch_pathfmt) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0x9dfa1a1, __VMLINUX_SYMBOL_STR(free_netdev) },
	{ 0xab77f153, __VMLINUX_SYMBOL_STR(xenbus_unregister_driver) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x8fc57146, __VMLINUX_SYMBOL_STR(register_netdev) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0xca81ea9a, __VMLINUX_SYMBOL_STR(xenbus_transaction_end) },
	{ 0x4e74e625, __VMLINUX_SYMBOL_STR(gnttab_batch_copy) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x5574f5ad, __VMLINUX_SYMBOL_STR(netif_set_real_num_rx_queues) },
	{ 0x8834396c, __VMLINUX_SYMBOL_STR(mod_timer) },
	{ 0xcbf3699a, __VMLINUX_SYMBOL_STR(netif_set_real_num_tx_queues) },
	{ 0xdf433b61, __VMLINUX_SYMBOL_STR(netif_napi_add) },
	{ 0xde806251, __VMLINUX_SYMBOL_STR(__get_page_tail) },
	{ 0xd5e3aa6f, __VMLINUX_SYMBOL_STR(skb_checksum_setup) },
	{ 0xd0458ccb, __VMLINUX_SYMBOL_STR(xenbus_strstate) },
	{ 0x83390a12, __VMLINUX_SYMBOL_STR(module_put) },
	{ 0x5c89b93f, __VMLINUX_SYMBOL_STR(netif_receive_skb_sk) },
	{ 0x40a9b349, __VMLINUX_SYMBOL_STR(vzalloc) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0x22d75bf9, __VMLINUX_SYMBOL_STR(__alloc_skb) },
	{ 0x2ce2d9a4, __VMLINUX_SYMBOL_STR(__napi_schedule) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0xd62c833f, __VMLINUX_SYMBOL_STR(schedule_timeout) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xc940404f, __VMLINUX_SYMBOL_STR(kfree_skb) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0x9a99eae4, __VMLINUX_SYMBOL_STR(alloc_netdev_mqs) },
	{ 0x1b77f554, __VMLINUX_SYMBOL_STR(napi_complete_done) },
	{ 0x1f62acbe, __VMLINUX_SYMBOL_STR(eth_type_trans) },
	{ 0x1e579dc5, __VMLINUX_SYMBOL_STR(__list_add_rcu) },
	{ 0xa353fffc, __VMLINUX_SYMBOL_STR(xenbus_rm) },
	{ 0x71c4b1d1, __VMLINUX_SYMBOL_STR(wake_up_process) },
	{ 0xec668884, __VMLINUX_SYMBOL_STR(netdev_err) },
	{ 0x8b04668e, __VMLINUX_SYMBOL_STR(bind_interdomain_evtchn_to_irqhandler) },
	{ 0x90421fd0, __VMLINUX_SYMBOL_STR(ether_setup) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xbd658741, __VMLINUX_SYMBOL_STR(__module_get) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x3bb5fca4, __VMLINUX_SYMBOL_STR(xenbus_switch_state) },
	{ 0xf6ebc03b, __VMLINUX_SYMBOL_STR(net_ratelimit) },
	{ 0xb3f7646e, __VMLINUX_SYMBOL_STR(kthread_should_stop) },
	{ 0x2dc669cd, __VMLINUX_SYMBOL_STR(netdev_warn) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0xbb4f4766, __VMLINUX_SYMBOL_STR(simple_write_to_buffer) },
	{ 0x73013896, __VMLINUX_SYMBOL_STR(xenbus_printf) },
	{ 0xcebd672f, __VMLINUX_SYMBOL_STR(eth_validate_addr) },
	{ 0xf426c6c9, __VMLINUX_SYMBOL_STR(seq_lseek) },
	{ 0xfcec0987, __VMLINUX_SYMBOL_STR(enable_irq) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xb99d5837, __VMLINUX_SYMBOL_STR(xenbus_read) },
	{ 0x5c8b5ce8, __VMLINUX_SYMBOL_STR(prepare_to_wait) },
	{ 0x731dba7a, __VMLINUX_SYMBOL_STR(xen_domain_type) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0xbbb849f4, __VMLINUX_SYMBOL_STR(__put_task_struct) },
	{ 0xf9fbf3ab, __VMLINUX_SYMBOL_STR(gnttab_foreach_grant_in_range) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x531f646d, __VMLINUX_SYMBOL_STR(xenbus_dev_fatal) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x63c4d61f, __VMLINUX_SYMBOL_STR(__bitmap_weight) },
	{ 0x3362b03c, __VMLINUX_SYMBOL_STR(xen_p2m_size) },
	{ 0x7fa82852, __VMLINUX_SYMBOL_STR(device_unregister) },
	{ 0x90bcbe6, __VMLINUX_SYMBOL_STR(unregister_netdev) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0xd0d42c42, __VMLINUX_SYMBOL_STR(mod_timer_pending) },
	{ 0x912ce78d, __VMLINUX_SYMBOL_STR(consume_skb) },
	{ 0x2f0e58ee, __VMLINUX_SYMBOL_STR(netdev_update_features) },
	{ 0x6a944dfe, __VMLINUX_SYMBOL_STR(eth_mac_addr) },
	{ 0x149c7752, __VMLINUX_SYMBOL_STR(param_ops_uint) },
	{ 0x5675cd0f, __VMLINUX_SYMBOL_STR(skb_copy_bits) },
	{ 0xf7016530, __VMLINUX_SYMBOL_STR(xenbus_gather) },
	{ 0x6e720ff2, __VMLINUX_SYMBOL_STR(rtnl_unlock) },
	{ 0x53ed424f, __VMLINUX_SYMBOL_STR(dev_set_mtu) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0x7712771a, __VMLINUX_SYMBOL_STR(unbind_from_irqhandler) },
	{ 0x6c07d933, __VMLINUX_SYMBOL_STR(add_uevent_var) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "4BECB3B56A12A0A0082D9B6");
