#include <linux/sdt.h>
extern void transport_send_check_condition_and_sense(void);
extern void __dta_target_complete_ok_work_1031(void);
extern void transport_generic_request_failure(void);
extern void target_setup_cmd_from_cdb(void);
extern void __dta_transport_complete_qf_1068(void);
extern void transport_send_task_abort(void);
extern void transport_check_aborted_status(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_target_sequencer_start",  "target_setup_cmd_from_cdb" /* .text */, (uintptr_t)target_setup_cmd_from_cdb+0x70 },
  {"__perf_target_cmd_complete",  "transport_send_check_condition_and_sense" /* .text */, (uintptr_t)transport_send_check_condition_and_sense+0x9c },
  {"__perf_target_cmd_complete",  "transport_send_task_abort" /* .text */, (uintptr_t)transport_send_task_abort+0x58 },
  {"__perf_target_cmd_complete",  "transport_generic_request_failure" /* .text */, (uintptr_t)transport_generic_request_failure+0x103 },
  {"__perf_target_cmd_complete",  "transport_check_aborted_status" /* .text */, (uintptr_t)transport_check_aborted_status+0x49 },
  {"__perf_target_cmd_complete",  "transport_complete_qf" /* .text */, (uintptr_t)__dta_transport_complete_qf_1068+0x53 },
  {"__perf_target_cmd_complete",  "transport_complete_qf" /* .text */, (uintptr_t)__dta_transport_complete_qf_1068+0x8b },
  {"__perf_target_cmd_complete",  "transport_complete_qf" /* .text */, (uintptr_t)__dta_transport_complete_qf_1068+0x163 },
  {"__perf_target_cmd_complete",  "target_complete_ok_work" /* .text */, (uintptr_t)__dta_target_complete_ok_work_1031+0x143 },
  {"__perf_target_cmd_complete",  "target_complete_ok_work" /* .text */, (uintptr_t)__dta_target_complete_ok_work_1031+0x2ab },
};

#define _sdt_probec	10
