#include <linux/sdt.h>
extern void ext4_discard_preallocations(void);
extern void ext4_ext_remove_space(void);
extern void __dta_ext4_writepages_186(void);
extern void __dta___es_shrink_1702(void);
extern void __dta_ext4_readpage_135(void);
extern void __dta_ext4_mb_release_group_pa_1604(void);
extern void __dta_mpage_map_one_extent_151(void);
extern void __dta_ext4_journalled_write_end_194(void);
extern void __ext4_forget(void);
extern void ext4_es_remove_extent(void);
extern void __dta_ext4_ext_handle_unwritten_extents_1523(void);
extern void __dta_ext4_mb_release_inode_pa_1606(void);
extern void ext4_ind_map_blocks(void);
extern void ext4_free_blocks(void);
extern void ext4_truncate(void);
extern void ext4_mark_inode_dirty(void);
extern void __dta_ext4_ext_rm_leaf_1500(void);
extern void __dta_ext4_zero_range_1526(void);
extern void __dta_ext4_write_end_197(void);
extern void ext4_mb_new_blocks(void);
extern void ext4_collapse_range(void);
extern void ext4_es_insert_extent(void);
extern void ext4_es_cache_extent(void);
extern void __dta_ext4_read_inode_bitmap_96(void);
extern void __dta_ext4_free_data_callback_1609(void);
extern void __ext4_journal_start_sb(void);
extern void __dta_ext4_sync_fs_522(void);
extern void ext4_free_inode(void);
extern void __dta_ext4_es_count_1688(void);
extern void __dta_ext4_trim_all_free_1627(void);
extern void ext4_da_update_reserve_space(void);
extern void __dta_ext4_es_scan_1687(void);
extern void __dta_ext4_write_begin_190(void);
extern void ext4_evict_inode(void);
extern void __dta___ext4_get_inode_loc_173(void);
extern void __dta_ext4_da_release_space_clone_0_141(void);
extern void __dta___read_extent_tree_block_1476(void);
extern void __ext4_new_inode(void);
extern void ext4_sync_file(void);
extern void __dta_ext4_da_reserve_space_136(void);
extern void __dta_ext4_releasepage_126(void);
extern void __dta_ext4_unlink_302(void);
extern void __dta_ext4_ext_convert_to_initialized_1521(void);
extern void __dta_get_implied_cluster_alloc_1502(void);
extern void __dta_ext4_writepage_164(void);
extern void ext4_punch_hole(void);
extern void __dta_ext4_da_write_begin_192(void);
extern void __dta_get_reserved_cluster_alloc_1481(void);
extern void __dta_ext4_invalidatepage_122(void);
extern void ext4_alloc_da_blocks(void);
extern void __dta___ext4_journalled_invalidatepage_119(void);
extern void __dta_trace_ext4_ext_convert_to_initialized_fastpath_1472(void);
extern void __dta_ext4_mb_new_group_pa_1626(void);
extern void __dta_ext4_mb_collect_stats_1581(void);
extern void __dta_other_inode_match_162(void);
extern void __dta_ext4_mb_init_cache_1611(void);
extern void __dta_ext4_ext_rm_idx_1492(void);
extern void __dta_ext4_mb_new_inode_pa_1625(void);
extern void ext4_es_find_delayed_extent_range(void);
extern void __dta_ext4_remove_blocks_1498(void);
extern void __ext4_journal_start_reserved(void);
extern void __dta_ext4_direct_IO_158(void);
extern void __dta_ext4_trim_extent_1624(void);
extern void __dta_ext4_da_write_end_199(void);
extern void __dta_ext4_drop_inode_524(void);
extern void ext4_fallocate(void);
extern void ext4_ext_map_blocks(void);
extern void ext4_es_lookup_extent(void);
extern void ext4_read_block_bitmap_nowait(void);
extern void __dta_ext4_begin_ordered_truncate_117(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_ext4_read_block_bitmap_load",  "ext4_read_block_bitmap_nowait" /* .text */, (uintptr_t)ext4_read_block_bitmap_nowait+0x26f },
  {"__perf_ext4_sync_file_enter",  "ext4_sync_file" /* .text */, (uintptr_t)ext4_sync_file+0x58 },
  {"__perf_ext4_sync_file_exit",  "ext4_sync_file" /* .text */, (uintptr_t)ext4_sync_file+0xa0 },
  {"__perf_ext4_load_inode_bitmap",  "ext4_read_inode_bitmap" /* .text */, (uintptr_t)__dta_ext4_read_inode_bitmap_96+0x41d },
  {"__perf_ext4_request_inode",  "__ext4_new_inode" /* .text */, (uintptr_t)__ext4_new_inode+0x93 },
  {"__perf_ext4_allocate_inode",  "__ext4_new_inode" /* .text */, (uintptr_t)__ext4_new_inode+0xec2 },
  {"__perf_ext4_free_inode",  "ext4_free_inode" /* .text */, (uintptr_t)ext4_free_inode+0x63 },
  {"__perf_ext4_begin_ordered_truncate",  "ext4_begin_ordered_truncate" /* .text */, (uintptr_t)__dta_ext4_begin_ordered_truncate_117+0x1a },
  {"__perf_ext4_journalled_invalidatepage",  "__ext4_journalled_invalidatepage" /* .text */, (uintptr_t)__dta___ext4_journalled_invalidatepage_119+0x47 },
  {"__perf_ext4_invalidatepage",  "ext4_invalidatepage" /* .text */, (uintptr_t)__dta_ext4_invalidatepage_122+0x2d },
  {"__perf_ext4_releasepage",  "ext4_releasepage" /* .text */, (uintptr_t)__dta_ext4_releasepage_126+0x3f },
  {"__perf_ext4_readpage",  "ext4_readpage" /* .text */, (uintptr_t)__dta_ext4_readpage_135+0x26 },
  {"__perf_ext4_alloc_da_blocks",  "ext4_alloc_da_blocks" /* .text */, (uintptr_t)ext4_alloc_da_blocks+0xf },
  {"__perf_ext4_da_reserve_space",  "ext4_da_reserve_space" /* .text */, (uintptr_t)__dta_ext4_da_reserve_space_136+0x93 },
  {"__perf_ext4_da_update_reserve_space",  "ext4_da_update_reserve_space" /* .text */, (uintptr_t)ext4_da_update_reserve_space+0x5c },
  {"__perf_ext4_da_release_space",  "ext4_da_release_space" /* .text */, (uintptr_t)__dta_ext4_da_release_space_clone_0_141+0x4d },
  {"__perf_ext4_da_write_pages_extent",  "mpage_map_one_extent" /* .text */, (uintptr_t)__dta_mpage_map_one_extent_151+0x29 },
  {"__perf_ext4_direct_IO_enter",  "ext4_direct_IO" /* .text */, (uintptr_t)__dta_ext4_direct_IO_158+0xf5 },
  {"__perf_ext4_direct_IO_exit",  "ext4_direct_IO" /* .text */, (uintptr_t)__dta_ext4_direct_IO_158+0x141 },
  {"__perf_ext4_other_inode_update_time",  "other_inode_match" /* .text */, (uintptr_t)__dta_other_inode_match_162+0x189 },
  {"__perf_ext4_writepage",  "ext4_writepage" /* .text */, (uintptr_t)__dta_ext4_writepage_164+0x23 },
  {"__perf_ext4_load_inode",  "__ext4_get_inode_loc" /* .text */, (uintptr_t)__dta___ext4_get_inode_loc_173+0x1b9 },
  {"__perf_ext4_mark_inode_dirty",  "ext4_mark_inode_dirty" /* .text */, (uintptr_t)ext4_mark_inode_dirty+0x41 },
  {"__perf_ext4_truncate_enter",  "ext4_truncate" /* .text */, (uintptr_t)ext4_truncate+0x36 },
  {"__perf_ext4_truncate_exit",  "ext4_truncate" /* .text */, (uintptr_t)ext4_truncate+0x1e3 },
  {"__perf_ext4_writepages",  "ext4_writepages" /* .text */, (uintptr_t)__dta_ext4_writepages_186+0x3e },
  {"__perf_ext4_writepages_result",  "ext4_writepages" /* .text */, (uintptr_t)__dta_ext4_writepages_186+0x76 },
  {"__perf_ext4_da_write_pages",  "ext4_writepages" /* .text */, (uintptr_t)__dta_ext4_writepages_186+0x48a },
  {"__perf_ext4_evict_inode",  "ext4_evict_inode" /* .text */, (uintptr_t)ext4_evict_inode+0x15 },
  {"__perf_ext4_write_begin",  "ext4_write_begin" /* .text */, (uintptr_t)__dta_ext4_write_begin_190+0x45 },
  {"__perf_ext4_da_write_begin",  "ext4_da_write_begin" /* .text */, (uintptr_t)__dta_ext4_da_write_begin_192+0x6e },
  {"__perf_ext4_journalled_write_end",  "ext4_journalled_write_end" /* .text */, (uintptr_t)__dta_ext4_journalled_write_end_194+0x61 },
  {"__perf_ext4_write_end",  "ext4_write_end" /* .text */, (uintptr_t)__dta_ext4_write_end_197+0x5d },
  {"__perf_ext4_da_write_end",  "ext4_da_write_end" /* .text */, (uintptr_t)__dta_ext4_da_write_end_199+0x63 },
  {"__perf_ext4_punch_hole",  "ext4_punch_hole" /* .text */, (uintptr_t)ext4_punch_hole+0x66 },
  {"__perf_ext4_unlink_enter",  "ext4_unlink" /* .text */, (uintptr_t)__dta_ext4_unlink_302+0x1c },
  {"__perf_ext4_unlink_exit",  "ext4_unlink" /* .text */, (uintptr_t)__dta_ext4_unlink_302+0xb3 },
  {"__perf_ext4_sync_fs",  "ext4_sync_fs" /* .text */, (uintptr_t)__dta_ext4_sync_fs_522+0x23 },
  {"__perf_ext4_drop_inode",  "ext4_drop_inode" /* .text */, (uintptr_t)__dta_ext4_drop_inode_524+0x43 },
  {"__perf_ext4_ext_convert_to_initialized_fastpath",  "trace_ext4_ext_convert_to_initialized_fastpath" /* .text */, (uintptr_t)__dta_trace_ext4_ext_convert_to_initialized_fastpath_1472+0x28 },
  {"__perf_ext4_ext_load_extent",  "__read_extent_tree_block" /* .text */, (uintptr_t)__dta___read_extent_tree_block_1476+0x195 },
  {"__perf_ext4_get_reserved_cluster_alloc",  "get_reserved_cluster_alloc" /* .text */, (uintptr_t)__dta_get_reserved_cluster_alloc_1481+0x57 },
  {"__perf_ext4_ext_rm_idx",  "ext4_ext_rm_idx" /* .text */, (uintptr_t)__dta_ext4_ext_rm_idx_1492+0xf4 },
  {"__perf_ext4_remove_blocks",  "ext4_remove_blocks" /* .text */, (uintptr_t)__dta_ext4_remove_blocks_1498+0x89 },
  {"__perf_ext4_ext_rm_leaf",  "ext4_ext_rm_leaf" /* .text */, (uintptr_t)__dta_ext4_ext_rm_leaf_1500+0xd4 },
  {"__perf_ext4_get_implied_cluster_alloc_exit",  "get_implied_cluster_alloc" /* .text */, (uintptr_t)__dta_get_implied_cluster_alloc_1502+0xd1 },
  {"__perf_ext4_get_implied_cluster_alloc_exit",  "get_implied_cluster_alloc" /* .text */, (uintptr_t)__dta_get_implied_cluster_alloc_1502+0x187 },
  {"__perf_ext4_ext_convert_to_initialized_enter",  "ext4_ext_convert_to_initialized" /* .text */, (uintptr_t)__dta_ext4_ext_convert_to_initialized_1521+0xd5 },
  {"__perf_ext4_ext_handle_unwritten_extents",  "ext4_ext_handle_unwritten_extents" /* .text */, (uintptr_t)__dta_ext4_ext_handle_unwritten_extents_1523+0x50 },
  {"__perf_ext4_ext_map_blocks_enter",  "ext4_ext_map_blocks" /* .text */, (uintptr_t)ext4_ext_map_blocks+0x7c },
  {"__perf_ext4_ext_show_extent",  "ext4_ext_map_blocks" /* .text */, (uintptr_t)ext4_ext_map_blocks+0x127 },
  {"__perf_ext4_ext_map_blocks_exit",  "ext4_ext_map_blocks" /* .text */, (uintptr_t)ext4_ext_map_blocks+0x306 },
  {"__perf_ext4_zero_range",  "ext4_zero_range" /* .text */, (uintptr_t)__dta_ext4_zero_range_1526+0x38 },
  {"__perf_ext4_ext_remove_space",  "ext4_ext_remove_space" /* .text */, (uintptr_t)ext4_ext_remove_space+0xe3 },
  {"__perf_ext4_ext_remove_space_done",  "ext4_ext_remove_space" /* .text */, (uintptr_t)ext4_ext_remove_space+0x3f9 },
  {"__perf_ext4_collapse_range",  "ext4_collapse_range" /* .text */, (uintptr_t)ext4_collapse_range+0xb7 },
  {"__perf_ext4_fallocate_enter",  "ext4_fallocate" /* .text */, (uintptr_t)ext4_fallocate+0xdf },
  {"__perf_ext4_fallocate_exit",  "ext4_fallocate" /* .text */, (uintptr_t)ext4_fallocate+0x262 },
  {"__perf_ext4_forget",  "__ext4_forget" /* .text */, (uintptr_t)__ext4_forget+0x38 },
  {"__perf_ext4_journal_start_reserved",  "__ext4_journal_start_reserved" /* .text */, (uintptr_t)__ext4_journal_start_reserved+0x93 },
  {"__perf_ext4_journal_start",  "__ext4_journal_start_sb" /* .text */, (uintptr_t)__ext4_journal_start_sb+0x3c },
  {"__perf_ext4_mballoc_prealloc",  "ext4_mb_collect_stats" /* .text */, (uintptr_t)__dta_ext4_mb_collect_stats_1581+0x79 },
  {"__perf_ext4_mballoc_alloc",  "ext4_mb_collect_stats" /* .text */, (uintptr_t)__dta_ext4_mb_collect_stats_1581+0xe3 },
  {"__perf_ext4_mb_release_group_pa",  "ext4_mb_release_group_pa" /* .text */, (uintptr_t)__dta_ext4_mb_release_group_pa_1604+0x23 },
  {"__perf_ext4_mballoc_discard",  "ext4_mb_release_group_pa" /* .text */, (uintptr_t)__dta_ext4_mb_release_group_pa_1604+0x99 },
  {"__perf_ext4_mballoc_discard",  "ext4_mb_release_inode_pa" /* .text */, (uintptr_t)__dta_ext4_mb_release_inode_pa_1606+0x10d },
  {"__perf_ext4_mb_release_inode_pa",  "ext4_mb_release_inode_pa" /* .text */, (uintptr_t)__dta_ext4_mb_release_inode_pa_1606+0x13e },
  {"__perf_ext4_mb_buddy_bitmap_load",  "ext4_mb_init_cache" /* .text */, (uintptr_t)__dta_ext4_mb_init_cache_1611+0x298 },
  {"__perf_ext4_mb_bitmap_load",  "ext4_mb_init_cache" /* .text */, (uintptr_t)__dta_ext4_mb_init_cache_1611+0x419 },
  {"__perf_ext4_discard_preallocations",  "ext4_discard_preallocations" /* .text */, (uintptr_t)ext4_discard_preallocations+0x48 },
  {"__perf_ext4_discard_blocks",  "ext4_free_data_callback" /* .text */, (uintptr_t)__dta_ext4_free_data_callback_1609+0x199 },
  {"__perf_ext4_trim_extent",  "ext4_trim_extent" /* .text */, (uintptr_t)__dta_ext4_trim_extent_1624+0x33 },
  {"__perf_ext4_discard_blocks",  "ext4_trim_extent" /* .text */, (uintptr_t)__dta_ext4_trim_extent_1624+0xdf },
  {"__perf_ext4_mb_new_inode_pa",  "ext4_mb_new_inode_pa" /* .text */, (uintptr_t)__dta_ext4_mb_new_inode_pa_1625+0x177 },
  {"__perf_ext4_mb_new_group_pa",  "ext4_mb_new_group_pa" /* .text */, (uintptr_t)__dta_ext4_mb_new_group_pa_1626+0xf6 },
  {"__perf_ext4_trim_all_free",  "ext4_trim_all_free" /* .text */, (uintptr_t)__dta_ext4_trim_all_free_1627+0x32 },
  {"__perf_ext4_free_blocks",  "ext4_free_blocks" /* .text */, (uintptr_t)ext4_free_blocks+0xa8 },
  {"__perf_ext4_mballoc_free",  "ext4_free_blocks" /* .text */, (uintptr_t)ext4_free_blocks+0x485 },
  {"__perf_ext4_discard_blocks",  "ext4_free_blocks" /* .text */, (uintptr_t)ext4_free_blocks+0xa48 },
  {"__perf_ext4_request_blocks",  "ext4_mb_new_blocks" /* .text */, (uintptr_t)ext4_mb_new_blocks+0x37 },
  {"__perf_ext4_allocate_blocks",  "ext4_mb_new_blocks" /* .text */, (uintptr_t)ext4_mb_new_blocks+0x12b },
  {"__perf_ext4_mb_discard_preallocations",  "ext4_mb_new_blocks" /* .text */, (uintptr_t)ext4_mb_new_blocks+0x47f },
  {"__perf_ext4_ind_map_blocks_enter",  "ext4_ind_map_blocks" /* .text */, (uintptr_t)ext4_ind_map_blocks+0x5c },
  {"__perf_ext4_ind_map_blocks_exit",  "ext4_ind_map_blocks" /* .text */, (uintptr_t)ext4_ind_map_blocks+0x313 },
  {"__perf_ext4_es_shrink_count",  "ext4_es_count" /* .text */, (uintptr_t)__dta_ext4_es_count_1688+0x4b },
  {"__perf_ext4_es_shrink",  "__es_shrink" /* .text */, (uintptr_t)__dta___es_shrink_1702+0x20c },
  {"__perf_ext4_es_shrink_scan_enter",  "ext4_es_scan" /* .text */, (uintptr_t)__dta_ext4_es_scan_1687+0x5d },
  {"__perf_ext4_es_shrink_scan_exit",  "ext4_es_scan" /* .text */, (uintptr_t)__dta_ext4_es_scan_1687+0xfd },
  {"__perf_ext4_es_remove_extent",  "ext4_es_remove_extent" /* .text */, (uintptr_t)ext4_es_remove_extent+0x2d },
  {"__perf_ext4_es_lookup_extent_enter",  "ext4_es_lookup_extent" /* .text */, (uintptr_t)ext4_es_lookup_extent+0x20 },
  {"__perf_ext4_es_lookup_extent_exit",  "ext4_es_lookup_extent" /* .text */, (uintptr_t)ext4_es_lookup_extent+0x113 },
  {"__perf_ext4_es_cache_extent",  "ext4_es_cache_extent" /* .text */, (uintptr_t)ext4_es_cache_extent+0x4f },
  {"__perf_ext4_es_insert_extent",  "ext4_es_insert_extent" /* .text */, (uintptr_t)ext4_es_insert_extent+0x83 },
  {"__perf_ext4_es_find_delayed_extent_range_enter",  "ext4_es_find_delayed_extent_range" /* .text */, (uintptr_t)ext4_es_find_delayed_extent_range+0x35 },
  {"__perf_ext4_es_find_delayed_extent_range_exit",  "ext4_es_find_delayed_extent_range" /* .text */, (uintptr_t)ext4_es_find_delayed_extent_range+0xe8 },
};

#define _sdt_probec	95
