#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "xscore.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x6663bedc, __VMLINUX_SYMBOL_STR(cdev_del) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x5e3b4ee2, __VMLINUX_SYMBOL_STR(cdev_init) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0x6a9c79e3, __VMLINUX_SYMBOL_STR(ib_query_gid) },
	{ 0xd6ee688f, __VMLINUX_SYMBOL_STR(vmalloc) },
	{ 0x2120948f, __VMLINUX_SYMBOL_STR(single_open) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x7940ffdf, __VMLINUX_SYMBOL_STR(ib_dealloc_pd) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x6472bf9c, __VMLINUX_SYMBOL_STR(rdma_port_get_link_layer) },
	{ 0x3d9bc6f1, __VMLINUX_SYMBOL_STR(ib_sa_service_rec_query) },
	{ 0x1e4c4e4b, __VMLINUX_SYMBOL_STR(ib_register_mad_agent) },
	{ 0xc504a7a6, __VMLINUX_SYMBOL_STR(single_release) },
	{ 0xa49d039b, __VMLINUX_SYMBOL_STR(ib_free_recv_mad) },
	{ 0x3fb8a666, __VMLINUX_SYMBOL_STR(seq_puts) },
	{ 0x33eddc66, __VMLINUX_SYMBOL_STR(ib_send_cm_req) },
	{ 0x33c2ecbb, __VMLINUX_SYMBOL_STR(ib_send_cm_dreq) },
	{ 0x7f225546, __VMLINUX_SYMBOL_STR(ib_send_cm_rtu) },
	{ 0x65e4b864, __VMLINUX_SYMBOL_STR(ib_destroy_qp) },
	{ 0x77e200fe, __VMLINUX_SYMBOL_STR(dev_get_by_name) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0x1a0478b5, __VMLINUX_SYMBOL_STR(ib_query_pkey) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x3b4f45d2, __VMLINUX_SYMBOL_STR(remove_proc_entry) },
	{ 0x155d9532, __VMLINUX_SYMBOL_STR(device_destroy) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x74d2c796, __VMLINUX_SYMBOL_STR(ib_modify_cq) },
	{ 0x7485e15e, __VMLINUX_SYMBOL_STR(unregister_chrdev_region) },
	{ 0x999e8297, __VMLINUX_SYMBOL_STR(vfree) },
	{ 0xc32b59ff, __VMLINUX_SYMBOL_STR(ib_destroy_fmr_pool) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x64d48908, __VMLINUX_SYMBOL_STR(seq_read) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x4c376783, __VMLINUX_SYMBOL_STR(ib_destroy_ah) },
	{ 0xf6cdf453, __VMLINUX_SYMBOL_STR(ib_modify_qp) },
	{ 0xe47641e8, __VMLINUX_SYMBOL_STR(ib_free_send_mad) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x1cd75058, __VMLINUX_SYMBOL_STR(ib_create_qp) },
	{ 0xc671e369, __VMLINUX_SYMBOL_STR(_copy_to_user) },
	{ 0x8da01b3d, __VMLINUX_SYMBOL_STR(PDE_DATA) },
	{ 0x6d0aba34, __VMLINUX_SYMBOL_STR(wait_for_completion) },
	{ 0x62a79a6c, __VMLINUX_SYMBOL_STR(param_ops_charp) },
	{ 0x422c985b, __VMLINUX_SYMBOL_STR(ib_alloc_pd) },
	{ 0x60ea2d6, __VMLINUX_SYMBOL_STR(kstrtoull) },
	{ 0xb4779000, __VMLINUX_SYMBOL_STR(ib_send_cm_drep) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0xe458af1e, __VMLINUX_SYMBOL_STR(ib_cm_init_qp_attr) },
	{ 0x5991219c, __VMLINUX_SYMBOL_STR(cancel_delayed_work) },
	{ 0x4e9ec3c4, __VMLINUX_SYMBOL_STR(proc_mkdir) },
	{ 0x614dabe, __VMLINUX_SYMBOL_STR(idr_destroy) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x8fce9750, __VMLINUX_SYMBOL_STR(ib_get_dma_mr) },
	{ 0x9a3effc9, __VMLINUX_SYMBOL_STR(ib_query_device) },
	{ 0x37befc70, __VMLINUX_SYMBOL_STR(jiffies_to_msecs) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x4c9d28b0, __VMLINUX_SYMBOL_STR(phys_base) },
	{ 0xf3bf65d4, __VMLINUX_SYMBOL_STR(ib_get_client_data) },
	{ 0x9166fada, __VMLINUX_SYMBOL_STR(strncpy) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0x5a921311, __VMLINUX_SYMBOL_STR(strncmp) },
	{ 0x41360b54, __VMLINUX_SYMBOL_STR(ib_query_port) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x1e6d26a8, __VMLINUX_SYMBOL_STR(strstr) },
	{ 0xd33386b0, __VMLINUX_SYMBOL_STR(device_create) },
	{ 0xbf57b3e2, __VMLINUX_SYMBOL_STR(init_uts_ns) },
	{ 0x373db350, __VMLINUX_SYMBOL_STR(kstrtoint) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x470a49ea, __VMLINUX_SYMBOL_STR(init_net) },
	{ 0xb466c324, __VMLINUX_SYMBOL_STR(ib_set_client_data) },
	{ 0x42160169, __VMLINUX_SYMBOL_STR(flush_workqueue) },
	{ 0x2fd0e42f, __VMLINUX_SYMBOL_STR(ib_sa_unregister_client) },
	{ 0x84cee823, __VMLINUX_SYMBOL_STR(ib_destroy_cq) },
	{ 0x1d929db0, __VMLINUX_SYMBOL_STR(ib_create_cm_id) },
	{ 0xba6b61a2, __VMLINUX_SYMBOL_STR(ib_create_send_mad) },
	{ 0x946c0a54, __VMLINUX_SYMBOL_STR(ib_post_send_mad) },
	{ 0xfb73fb98, __VMLINUX_SYMBOL_STR(idr_remove) },
	{ 0x1241be00, __VMLINUX_SYMBOL_STR(cdev_add) },
	{ 0x36aea9b3, __VMLINUX_SYMBOL_STR(ib_unregister_mad_agent) },
	{ 0xe62e0e6d, __VMLINUX_SYMBOL_STR(ib_register_client) },
	{ 0x4bce797b, __VMLINUX_SYMBOL_STR(ib_create_ah) },
	{ 0xb5e6e6c6, __VMLINUX_SYMBOL_STR(ib_unregister_event_handler) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0x1d0aac88, __VMLINUX_SYMBOL_STR(ib_register_event_handler) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xeeec26a7, __VMLINUX_SYMBOL_STR(queue_delayed_work_on) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x3bd1b1f6, __VMLINUX_SYMBOL_STR(msecs_to_jiffies) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xa9c5e378, __VMLINUX_SYMBOL_STR(ib_destroy_cm_id) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xae8032bb, __VMLINUX_SYMBOL_STR(ib_dereg_mr) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x36dd925f, __VMLINUX_SYMBOL_STR(proc_create_data) },
	{ 0xf426c6c9, __VMLINUX_SYMBOL_STR(seq_lseek) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0x933aba9f, __VMLINUX_SYMBOL_STR(ib_create_fmr_pool) },
	{ 0xc1955a3f, __VMLINUX_SYMBOL_STR(ib_sa_register_client) },
	{ 0x8af4c674, __VMLINUX_SYMBOL_STR(class_destroy) },
	{ 0xd64570d3, __VMLINUX_SYMBOL_STR(ib_create_cq) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x1cbea8fd, __VMLINUX_SYMBOL_STR(idr_init) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x68864a22, __VMLINUX_SYMBOL_STR(__class_create) },
	{ 0x7cc808e4, __VMLINUX_SYMBOL_STR(ib_unregister_client) },
	{ 0x959c2dc, __VMLINUX_SYMBOL_STR(dma_ops) },
	{ 0x29537c9e, __VMLINUX_SYMBOL_STR(alloc_chrdev_region) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=ib_core,ib_sa,ib_mad,ib_cm";


MODULE_INFO(srcversion, "3E4B5D4F1D5E71E9EE0A31B");
