#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "raid1.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x51eafc8e, __VMLINUX_SYMBOL_STR(param_ops_int) },
	{ 0x1e13eea4, __VMLINUX_SYMBOL_STR(md_unregister_thread) },
	{ 0x7d65bf03, __VMLINUX_SYMBOL_STR(blk_queue_max_write_same_sectors) },
	{ 0xba36ad7f, __VMLINUX_SYMBOL_STR(md_register_thread) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x2cfef085, __VMLINUX_SYMBOL_STR(md_wait_for_blocked_rdev) },
	{ 0x5c8b5ce8, __VMLINUX_SYMBOL_STR(prepare_to_wait) },
	{ 0xb3bfac41, __VMLINUX_SYMBOL_STR(flush_signals) },
	{ 0xc8b57c27, __VMLINUX_SYMBOL_STR(autoremove_wake_function) },
	{ 0xd27b25dd, __VMLINUX_SYMBOL_STR(blk_check_plugged) },
	{ 0xccdea403, __VMLINUX_SYMBOL_STR(bitmap_startwrite) },
	{ 0x4a435cd6, __VMLINUX_SYMBOL_STR(md_write_start) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0xd907a9a8, __VMLINUX_SYMBOL_STR(bio_alloc_pages) },
	{ 0xf228838f, __VMLINUX_SYMBOL_STR(bio_alloc_bioset) },
	{ 0xbd9074b1, __VMLINUX_SYMBOL_STR(blk_finish_plug) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x7d705738, __VMLINUX_SYMBOL_STR(blk_start_plug) },
	{ 0x16759671, __VMLINUX_SYMBOL_STR(md_check_recovery) },
	{ 0x5007034, __VMLINUX_SYMBOL_STR(bio_copy_data) },
	{ 0xaf18149b, __VMLINUX_SYMBOL_STR(sysfs_create_link) },
	{ 0x372bd9e7, __VMLINUX_SYMBOL_STR(sysfs_remove_link) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0xb93c1672, __VMLINUX_SYMBOL_STR(md_allow_write) },
	{ 0xf2759425, __VMLINUX_SYMBOL_STR(bio_add_page) },
	{ 0xda4a9baf, __VMLINUX_SYMBOL_STR(bitmap_end_sync) },
	{ 0x3f71faa1, __VMLINUX_SYMBOL_STR(mempool_create) },
	{ 0xb08f5828, __VMLINUX_SYMBOL_STR(bio_reset) },
	{ 0x9d0b16ab, __VMLINUX_SYMBOL_STR(bitmap_cond_end_sync) },
	{ 0x273c08b, __VMLINUX_SYMBOL_STR(bitmap_start_sync) },
	{ 0xc6238f9a, __VMLINUX_SYMBOL_STR(bitmap_close_sync) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0xe9dff136, __VMLINUX_SYMBOL_STR(mempool_alloc) },
	{ 0x62303793, __VMLINUX_SYMBOL_STR(md_cluster_ops) },
	{ 0xbc92f360, __VMLINUX_SYMBOL_STR(md_done_sync) },
	{ 0x29f8ae56, __VMLINUX_SYMBOL_STR(rdev_clear_badblocks) },
	{ 0x412fc7c2, __VMLINUX_SYMBOL_STR(md_is_badblock) },
	{ 0xf55f154, __VMLINUX_SYMBOL_STR(md_integrity_add_rdev) },
	{ 0x557db30b, __VMLINUX_SYMBOL_STR(disk_stack_limits) },
	{ 0x65366d87, __VMLINUX_SYMBOL_STR(md_integrity_register) },
	{ 0xc2cdbf1, __VMLINUX_SYMBOL_STR(synchronize_sched) },
	{ 0x112acad7, __VMLINUX_SYMBOL_STR(generic_make_request) },
	{ 0x5655af8b, __VMLINUX_SYMBOL_STR(bitmap_unplug) },
	{ 0x784213a6, __VMLINUX_SYMBOL_STR(pv_lock_ops) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0x78764f4e, __VMLINUX_SYMBOL_STR(pv_irq_ops) },
	{ 0xd3719d59, __VMLINUX_SYMBOL_STR(paravirt_ticketlocks_enabled) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0x43261dca, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irq) },
	{ 0x7de4fbc6, __VMLINUX_SYMBOL_STR(register_md_personality) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0xf11d3fe8, __VMLINUX_SYMBOL_STR(kernfs_notify) },
	{ 0x1bbff1f6, __VMLINUX_SYMBOL_STR(revalidate_disk) },
	{ 0x56d30fb7, __VMLINUX_SYMBOL_STR(md_set_array_sectors) },
	{ 0xe9dc986c, __VMLINUX_SYMBOL_STR(bitmap_resize) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x4aad52d7, __VMLINUX_SYMBOL_STR(mempool_free) },
	{ 0xed615330, __VMLINUX_SYMBOL_STR(md_write_end) },
	{ 0x1a295efb, __VMLINUX_SYMBOL_STR(bitmap_endwrite) },
	{ 0x24ebe46f, __VMLINUX_SYMBOL_STR(bio_clone_mddev) },
	{ 0x68ee5855, __VMLINUX_SYMBOL_STR(bio_put) },
	{ 0x4ffe456c, __VMLINUX_SYMBOL_STR(submit_bio_wait) },
	{ 0xe3e34c02, __VMLINUX_SYMBOL_STR(bio_trim) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xf6d62dd5, __VMLINUX_SYMBOL_STR(bio_alloc_mddev) },
	{ 0x4fcb9efd, __VMLINUX_SYMBOL_STR(md_wakeup_thread) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x700426ba, __VMLINUX_SYMBOL_STR(bdevname) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x40d0cde9, __VMLINUX_SYMBOL_STR(md_error) },
	{ 0xc1dd7bb4, __VMLINUX_SYMBOL_STR(rdev_set_badblocks) },
	{ 0xbde4aef7, __VMLINUX_SYMBOL_STR(sync_page_io) },
	{ 0x689b4d49, __VMLINUX_SYMBOL_STR(bio_endio) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x8f64aa4, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_irqrestore) },
	{ 0x9327f5ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock_irqsave) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0xefba93e1, __VMLINUX_SYMBOL_STR(mempool_destroy) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x3ca38b1f, __VMLINUX_SYMBOL_STR(unregister_md_personality) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=";


MODULE_INFO(srcversion, "3D60FEA5D0AA255D561B504");
