#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "lp3971.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xd3f5a976, __VMLINUX_SYMBOL_STR(regulator_map_voltage_ascend) },
	{ 0xf929afa8, __VMLINUX_SYMBOL_STR(regulator_list_voltage_table) },
	{ 0xd33e2f9, __VMLINUX_SYMBOL_STR(i2c_register_driver) },
	{ 0x35ef2fca, __VMLINUX_SYMBOL_STR(i2c_smbus_write_byte_data) },
	{ 0x659e7cf, __VMLINUX_SYMBOL_STR(rdev_get_id) },
	{ 0x21a8cba8, __VMLINUX_SYMBOL_STR(rdev_get_drvdata) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0xd9cf618b, __VMLINUX_SYMBOL_STR(__dynamic_dev_dbg) },
	{ 0xb9ce0d82, __VMLINUX_SYMBOL_STR(devm_regulator_register) },
	{ 0x8b8fa4d2, __VMLINUX_SYMBOL_STR(dev_err) },
	{ 0xf2a6c081, __VMLINUX_SYMBOL_STR(i2c_smbus_read_byte_data) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0xe736fdee, __VMLINUX_SYMBOL_STR(devm_kmalloc) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0xaf18c07b, __VMLINUX_SYMBOL_STR(i2c_del_driver) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=i2c-core";

MODULE_ALIAS("i2c:lp3971");

MODULE_INFO(srcversion, "54AE8DB2AF1F85EC848504D");
