#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "tcm_loop.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0x3390cc1f, __VMLINUX_SYMBOL_STR(scsi_change_queue_depth) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0x34f22f94, __VMLINUX_SYMBOL_STR(prepare_to_wait_event) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0xd9f3409e, __VMLINUX_SYMBOL_STR(transport_generic_handle_tmr) },
	{ 0xebaa91f2, __VMLINUX_SYMBOL_STR(transport_lookup_tmr_lun) },
	{ 0x84c7f81b, __VMLINUX_SYMBOL_STR(core_tmr_alloc_req) },
	{ 0xb98b135f, __VMLINUX_SYMBOL_STR(transport_init_se_cmd) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x5ab88ccc, __VMLINUX_SYMBOL_STR(device_register) },
	{ 0xce94a5d9, __VMLINUX_SYMBOL_STR(dev_set_name) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0xfebf668d, __VMLINUX_SYMBOL_STR(transport_free_session) },
	{ 0x69828090, __VMLINUX_SYMBOL_STR(transport_register_session) },
	{ 0x4fcc45c9, __VMLINUX_SYMBOL_STR(core_tpg_check_initiator_node_acl) },
	{ 0x3ab721cb, __VMLINUX_SYMBOL_STR(transport_init_session) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x2599089a, __VMLINUX_SYMBOL_STR(target_register_template) },
	{ 0xaafe1236, __VMLINUX_SYMBOL_STR(kmem_cache_create) },
	{ 0x43a53735, __VMLINUX_SYMBOL_STR(__alloc_workqueue_key) },
	{ 0x9e70a39c, __VMLINUX_SYMBOL_STR(driver_register) },
	{ 0xfcd04ecb, __VMLINUX_SYMBOL_STR(bus_register) },
	{ 0x975ecfca, __VMLINUX_SYMBOL_STR(__root_device_register) },
	{ 0x8c03d20c, __VMLINUX_SYMBOL_STR(destroy_workqueue) },
	{ 0x1f2f59d4, __VMLINUX_SYMBOL_STR(kmem_cache_destroy) },
	{ 0x254fa5a1, __VMLINUX_SYMBOL_STR(target_unregister_template) },
	{ 0xb97ceec6, __VMLINUX_SYMBOL_STR(root_device_unregister) },
	{ 0xfb7c945f, __VMLINUX_SYMBOL_STR(bus_unregister) },
	{ 0x7361a89f, __VMLINUX_SYMBOL_STR(driver_unregister) },
	{ 0x1dfd9e7a, __VMLINUX_SYMBOL_STR(iscsi_get_fabric_proto_ident) },
	{ 0x82dae990, __VMLINUX_SYMBOL_STR(sas_get_fabric_proto_ident) },
	{ 0x75957493, __VMLINUX_SYMBOL_STR(fc_get_fabric_proto_ident) },
	{ 0xe6d8d534, __VMLINUX_SYMBOL_STR(iscsi_get_pr_transport_id) },
	{ 0xb05a4180, __VMLINUX_SYMBOL_STR(sas_get_pr_transport_id) },
	{ 0xb7f801cf, __VMLINUX_SYMBOL_STR(fc_get_pr_transport_id) },
	{ 0xe67663cf, __VMLINUX_SYMBOL_STR(iscsi_get_pr_transport_id_len) },
	{ 0xac01c977, __VMLINUX_SYMBOL_STR(sas_get_pr_transport_id_len) },
	{ 0x69d75983, __VMLINUX_SYMBOL_STR(fc_get_pr_transport_id_len) },
	{ 0x730d2d03, __VMLINUX_SYMBOL_STR(iscsi_parse_pr_out_transport_id) },
	{ 0x64c3264b, __VMLINUX_SYMBOL_STR(sas_parse_pr_out_transport_id) },
	{ 0x37d7e4b, __VMLINUX_SYMBOL_STR(fc_parse_pr_out_transport_id) },
	{ 0x11ba4735, __VMLINUX_SYMBOL_STR(target_execute_cmd) },
	{ 0xcf21d241, __VMLINUX_SYMBOL_STR(__wake_up) },
	{ 0x5f8c7c1b, __VMLINUX_SYMBOL_STR(scsi_add_host_with_dma) },
	{ 0x523c15c7, __VMLINUX_SYMBOL_STR(scsi_host_alloc) },
	{ 0xd286008b, __VMLINUX_SYMBOL_STR(scmd_printk) },
	{ 0x617541cb, __VMLINUX_SYMBOL_STR(target_submit_cmd_map_sgls) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0xac3e93e3, __VMLINUX_SYMBOL_STR(kmem_cache_alloc) },
	{ 0x3bde0d9d, __VMLINUX_SYMBOL_STR(kmem_cache_free) },
	{ 0x1355fb8e, __VMLINUX_SYMBOL_STR(transport_generic_free_cmd) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x7e5e0154, __VMLINUX_SYMBOL_STR(scsi_host_put) },
	{ 0xf65e0a02, __VMLINUX_SYMBOL_STR(scsi_remove_host) },
	{ 0x7fa82852, __VMLINUX_SYMBOL_STR(device_unregister) },
	{ 0xafb6700, __VMLINUX_SYMBOL_STR(core_tpg_register) },
	{ 0x1e6d26a8, __VMLINUX_SYMBOL_STR(strstr) },
	{ 0x2a98662a, __VMLINUX_SYMBOL_STR(core_tpg_deregister) },
	{ 0xbe2df276, __VMLINUX_SYMBOL_STR(scsi_add_device) },
	{ 0xe45a3da7, __VMLINUX_SYMBOL_STR(scsi_device_put) },
	{ 0x32b919d6, __VMLINUX_SYMBOL_STR(scsi_remove_device) },
	{ 0x2aa24e2f, __VMLINUX_SYMBOL_STR(scsi_device_lookup) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x65c60d74, __VMLINUX_SYMBOL_STR(transport_deregister_session) },
	{ 0x44b1d426, __VMLINUX_SYMBOL_STR(__dynamic_pr_debug) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x60ea2d6, __VMLINUX_SYMBOL_STR(kstrtoull) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=target_core_mod";


MODULE_INFO(srcversion, "A492D6D9E1F130A151695F1");
