#include <linux/sdt.h>
extern void nfs_wb_all(void);
extern void nfs_getattr(void);
extern void nfs_lookup(void);
extern void nfs_create(void);
extern void __dta_nfs_async_rename_done_879(void);
extern void nfs_setattr(void);
extern void __dta_nfs_safe_remove_438(void);
extern void nfs_link(void);
extern void nfs_symlink(void);
extern void __dta_nfs_do_access_437(void);
extern void __dta___nfs_revalidate_mapping_561(void);
extern void nfs_mkdir(void);
extern void nfs_rename(void);
extern void nfs_atomic_open(void);
extern void nfs_mknod(void);
extern void nfs_wb_page(void);
extern void nfs_unlink(void);
extern void __dta_nfs_async_unlink_done_880(void);
extern void __nfs_revalidate_inode(void);
extern void __dta_nfs_file_fsync_491(void);
extern void nfs_rmdir(void);
extern void __dta_nfs_refresh_inode_locked_559(void);
extern void __dta_nfs_lookup_revalidate_415(void);

static sdt_probedesc_t	_sdt_probes[] = {
  {"__perf_nfs_lookup_revalidate_enter",  "nfs_lookup_revalidate" /* .text */, (uintptr_t)__dta_nfs_lookup_revalidate_415+0x3d0 },
  {"__perf_nfs_lookup_revalidate_exit",  "nfs_lookup_revalidate" /* .text */, (uintptr_t)__dta_nfs_lookup_revalidate_415+0x414 },
  {"__perf_nfs_access_enter",  "nfs_do_access" /* .text */, (uintptr_t)__dta_nfs_do_access_437+0x1f },
  {"__perf_nfs_access_exit",  "nfs_do_access" /* .text */, (uintptr_t)__dta_nfs_do_access_437+0x91 },
  {"__perf_nfs_symlink_enter",  "nfs_symlink" /* .text */, (uintptr_t)nfs_symlink+0xfe },
  {"__perf_nfs_symlink_exit",  "nfs_symlink" /* .text */, (uintptr_t)nfs_symlink+0x141 },
  {"__perf_nfs_remove_enter",  "nfs_safe_remove" /* .text */, (uintptr_t)__dta_nfs_safe_remove_438+0x66 },
  {"__perf_nfs_remove_exit",  "nfs_safe_remove" /* .text */, (uintptr_t)__dta_nfs_safe_remove_438+0xd5 },
  {"__perf_nfs_unlink_enter",  "nfs_unlink" /* .text */, (uintptr_t)nfs_unlink+0x29 },
  {"__perf_nfs_unlink_exit",  "nfs_unlink" /* .text */, (uintptr_t)nfs_unlink+0x73 },
  {"__perf_nfs_rmdir_enter",  "nfs_rmdir" /* .text */, (uintptr_t)nfs_rmdir+0x29 },
  {"__perf_nfs_rmdir_exit",  "nfs_rmdir" /* .text */, (uintptr_t)nfs_rmdir+0x85 },
  {"__perf_nfs_mkdir_enter",  "nfs_mkdir" /* .text */, (uintptr_t)nfs_mkdir+0x42 },
  {"__perf_nfs_mkdir_exit",  "nfs_mkdir" /* .text */, (uintptr_t)nfs_mkdir+0x7c },
  {"__perf_nfs_mknod_enter",  "nfs_mknod" /* .text */, (uintptr_t)nfs_mknod+0x3f },
  {"__perf_nfs_mknod_exit",  "nfs_mknod" /* .text */, (uintptr_t)nfs_mknod+0x7c },
  {"__perf_nfs_create_enter",  "nfs_create" /* .text */, (uintptr_t)nfs_create+0x6e },
  {"__perf_nfs_create_exit",  "nfs_create" /* .text */, (uintptr_t)nfs_create+0xb3 },
  {"__perf_nfs_rename_enter",  "nfs_rename" /* .text */, (uintptr_t)nfs_rename+0x49 },
  {"__perf_nfs_rename_exit",  "nfs_rename" /* .text */, (uintptr_t)nfs_rename+0x1aa },
  {"__perf_nfs_link_enter",  "nfs_link" /* .text */, (uintptr_t)nfs_link+0x36 },
  {"__perf_nfs_link_exit",  "nfs_link" /* .text */, (uintptr_t)nfs_link+0xa3 },
  {"__perf_nfs_lookup_enter",  "nfs_lookup" /* .text */, (uintptr_t)nfs_lookup+0x114 },
  {"__perf_nfs_lookup_exit",  "nfs_lookup" /* .text */, (uintptr_t)nfs_lookup+0x1d0 },
  {"__perf_nfs_atomic_open_enter",  "nfs_atomic_open" /* .text */, (uintptr_t)nfs_atomic_open+0x145 },
  {"__perf_nfs_atomic_open_exit",  "nfs_atomic_open" /* .text */, (uintptr_t)nfs_atomic_open+0x1fa },
  {"__perf_nfs_atomic_open_exit",  "nfs_atomic_open" /* .text */, (uintptr_t)nfs_atomic_open+0x39f },
  {"__perf_nfs_fsync_enter",  "nfs_file_fsync" /* .text */, (uintptr_t)__dta_nfs_file_fsync_491+0x29 },
  {"__perf_nfs_fsync_exit",  "nfs_file_fsync" /* .text */, (uintptr_t)__dta_nfs_file_fsync_491+0x9b },
  {"__perf_nfs_refresh_inode_enter",  "nfs_refresh_inode_locked" /* .text */, (uintptr_t)__dta_nfs_refresh_inode_locked_559+0x18 },
  {"__perf_nfs_refresh_inode_exit",  "nfs_refresh_inode_locked" /* .text */, (uintptr_t)__dta_nfs_refresh_inode_locked_559+0x68 },
  {"__perf_nfs_revalidate_inode_enter",  "__nfs_revalidate_inode" /* .text */, (uintptr_t)__nfs_revalidate_inode+0x3e },
  {"__perf_nfs_revalidate_inode_exit",  "__nfs_revalidate_inode" /* .text */, (uintptr_t)__nfs_revalidate_inode+0x79 },
  {"__perf_nfs_invalidate_mapping_enter",  "__nfs_revalidate_mapping" /* .text */, (uintptr_t)__dta___nfs_revalidate_mapping_561+0x12e },
  {"__perf_nfs_invalidate_mapping_exit",  "__nfs_revalidate_mapping" /* .text */, (uintptr_t)__dta___nfs_revalidate_mapping_561+0x171 },
  {"__perf_nfs_getattr_enter",  "nfs_getattr" /* .text */, (uintptr_t)nfs_getattr+0x31 },
  {"__perf_nfs_getattr_exit",  "nfs_getattr" /* .text */, (uintptr_t)nfs_getattr+0x9b },
  {"__perf_nfs_setattr_enter",  "nfs_setattr" /* .text */, (uintptr_t)nfs_setattr+0xb3 },
  {"__perf_nfs_setattr_exit",  "nfs_setattr" /* .text */, (uintptr_t)nfs_setattr+0x12c },
  {"__perf_nfs_sillyrename_rename",  "nfs_async_rename_done" /* .text */, (uintptr_t)__dta_nfs_async_rename_done_879+0x65 },
  {"__perf_nfs_sillyrename_unlink",  "nfs_async_unlink_done" /* .text */, (uintptr_t)__dta_nfs_async_unlink_done_880+0x3b },
  {"__perf_nfs_writeback_page_enter",  "nfs_wb_page" /* .text */, (uintptr_t)nfs_wb_page+0x5e },
  {"__perf_nfs_writeback_page_exit",  "nfs_wb_page" /* .text */, (uintptr_t)nfs_wb_page+0xab },
  {"__perf_nfs_writeback_inode_enter",  "nfs_wb_all" /* .text */, (uintptr_t)nfs_wb_all+0x15 },
  {"__perf_nfs_writeback_inode_exit",  "nfs_wb_all" /* .text */, (uintptr_t)nfs_wb_all+0x38 },
};

#define _sdt_probec	45
