#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_DTRACE
# include "nfsv4.sdtinfo.c"
#endif

MODULE_INFO(vermagic, VERMAGIC_STRING);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
#ifdef CONFIG_DTRACE
	.sdt_probes = _sdt_probes,
	.sdt_probec = _sdt_probec,
#endif
};

MODULE_INFO(intree, "Y");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x644ecf90, __VMLINUX_SYMBOL_STR(module_layout) },
	{ 0xd0298b8b, __VMLINUX_SYMBOL_STR(proc_dointvec_minmax) },
	{ 0xa2dff5ea, __VMLINUX_SYMBOL_STR(request_key) },
	{ 0x5c0f0c22, __VMLINUX_SYMBOL_STR(alloc_pages_current) },
	{ 0x2d3385d3, __VMLINUX_SYMBOL_STR(system_wq) },
	{ 0x6867071c, __VMLINUX_SYMBOL_STR(nfs_unlink) },
	{ 0x51892d61, __VMLINUX_SYMBOL_STR(nfs_callback_set_tcpport) },
	{ 0x402b8281, __VMLINUX_SYMBOL_STR(__request_module) },
	{ 0x8df89345, __VMLINUX_SYMBOL_STR(nfs_request_add_commit_list) },
	{ 0x1c02ed1f, __VMLINUX_SYMBOL_STR(nfs_symlink) },
	{ 0x14e3802b, __VMLINUX_SYMBOL_STR(nfs_fhget) },
	{ 0x26e5c5cd, __VMLINUX_SYMBOL_STR(security_inode_listsecurity) },
	{ 0x6e8e5422, __VMLINUX_SYMBOL_STR(kmalloc_caches) },
	{ 0x31908c63, __VMLINUX_SYMBOL_STR(rpc_destroy_wait_queue) },
	{ 0x65e75cb6, __VMLINUX_SYMBOL_STR(__list_del_entry) },
	{ 0xd2b09ce5, __VMLINUX_SYMBOL_STR(__kmalloc) },
	{ 0x147dd3b8, __VMLINUX_SYMBOL_STR(nfs_alloc_inode) },
	{ 0x3aa7a2c4, __VMLINUX_SYMBOL_STR(perf_tp_event) },
	{ 0x405c1144, __VMLINUX_SYMBOL_STR(get_seconds) },
	{ 0xf9a482f9, __VMLINUX_SYMBOL_STR(msleep) },
	{ 0xa2fc5f0b, __VMLINUX_SYMBOL_STR(sunrpc_cache_update) },
	{ 0xcdc3ab3f, __VMLINUX_SYMBOL_STR(generic_getxattr) },
	{ 0x39e05ac3, __VMLINUX_SYMBOL_STR(nfs_idmap_cache_timeout) },
	{ 0x2d878b69, __VMLINUX_SYMBOL_STR(up_read) },
	{ 0xc4ff1e9f, __VMLINUX_SYMBOL_STR(nfs_auth_info_match) },
	{ 0xaf5bf6ef, __VMLINUX_SYMBOL_STR(nfs_debug) },
	{ 0x2bc8cbd3, __VMLINUX_SYMBOL_STR(key_set_timeout) },
	{ 0x3abe906, __VMLINUX_SYMBOL_STR(xdr_stream_pos) },
	{ 0x9403eefe, __VMLINUX_SYMBOL_STR(xdr_init_encode) },
	{ 0x200c5cde, __VMLINUX_SYMBOL_STR(rpcauth_create) },
	{ 0xda3e43d1, __VMLINUX_SYMBOL_STR(_raw_spin_unlock) },
	{ 0xc8540437, __VMLINUX_SYMBOL_STR(__mark_inode_dirty) },
	{ 0x5616bf24, __VMLINUX_SYMBOL_STR(nfs_init_server_rpcclient) },
	{ 0x571ac849, __VMLINUX_SYMBOL_STR(nfs_access_set_mask) },
	{ 0x349cba85, __VMLINUX_SYMBOL_STR(strchr) },
	{ 0x628121e9, __VMLINUX_SYMBOL_STR(register_sysctl_table) },
	{ 0x91d1fe52, __VMLINUX_SYMBOL_STR(max_session_slots) },
	{ 0x984a3d55, __VMLINUX_SYMBOL_STR(nfs_refresh_inode) },
	{ 0x47fbb5a7, __VMLINUX_SYMBOL_STR(rpc_init_pipe_dir_object) },
	{ 0xa0fbac79, __VMLINUX_SYMBOL_STR(wake_up_bit) },
	{ 0xe23b014f, __VMLINUX_SYMBOL_STR(nfs_free_client) },
	{ 0x754d539c, __VMLINUX_SYMBOL_STR(strlen) },
	{ 0x772021c7, __VMLINUX_SYMBOL_STR(posix_lock_inode_wait) },
	{ 0xfbea9174, __VMLINUX_SYMBOL_STR(cache_destroy_net) },
	{ 0xd8ddfc01, __VMLINUX_SYMBOL_STR(filemap_fdatawait) },
	{ 0x1b17e06c, __VMLINUX_SYMBOL_STR(kstrtoll) },
	{ 0x7c9722ba, __VMLINUX_SYMBOL_STR(nfs_dreq_bytes_left) },
	{ 0x439ee392, __VMLINUX_SYMBOL_STR(nfs_server_insert_lists) },
	{ 0x3c07d876, __VMLINUX_SYMBOL_STR(filemap_write_and_wait_range) },
	{ 0x6e56d2cc, __VMLINUX_SYMBOL_STR(security_dentry_init_security) },
	{ 0xbc4506a4, __VMLINUX_SYMBOL_STR(rpc_call_async) },
	{ 0xfbb28dda, __VMLINUX_SYMBOL_STR(nfs_alloc_server) },
	{ 0x98ffe502, __VMLINUX_SYMBOL_STR(prepare_kernel_cred) },
	{ 0x70493dbd, __VMLINUX_SYMBOL_STR(dget_parent) },
	{ 0x5e1d863a, __VMLINUX_SYMBOL_STR(nfs_sockaddr_match_ipaddr) },
	{ 0xc8b57c27, __VMLINUX_SYMBOL_STR(autoremove_wake_function) },
	{ 0xd56b007d, __VMLINUX_SYMBOL_STR(nfs_file_llseek) },
	{ 0xb0f0c17, __VMLINUX_SYMBOL_STR(nfs_force_lookup_revalidate) },
	{ 0xd7458fad, __VMLINUX_SYMBOL_STR(nfs_set_sb_security) },
	{ 0x9469482, __VMLINUX_SYMBOL_STR(kfree_call_rcu) },
	{ 0x17795916, __VMLINUX_SYMBOL_STR(cpu_online_mask) },
	{ 0x1dfcfae7, __VMLINUX_SYMBOL_STR(svc_sock_update_bufs) },
	{ 0xb02067cd, __VMLINUX_SYMBOL_STR(nfs_setsecurity) },
	{ 0x12984a3f, __VMLINUX_SYMBOL_STR(nfs_file_write) },
	{ 0x5678d0a7, __VMLINUX_SYMBOL_STR(sunrpc_cache_pipe_upcall) },
	{ 0x3fb8a666, __VMLINUX_SYMBOL_STR(seq_puts) },
	{ 0x69e93f20, __VMLINUX_SYMBOL_STR(nfs_sync_inode) },
	{ 0x306bd086, __VMLINUX_SYMBOL_STR(rpc_unlink) },
	{ 0x5a5d8459, __VMLINUX_SYMBOL_STR(nfs_initiate_commit) },
	{ 0xe2f3e746, __VMLINUX_SYMBOL_STR(nfs_permission) },
	{ 0xbae8df1a, __VMLINUX_SYMBOL_STR(nfs_show_devname) },
	{ 0x7ab88a45, __VMLINUX_SYMBOL_STR(system_freezing_cnt) },
	{ 0x716dc743, __VMLINUX_SYMBOL_STR(nfs_show_path) },
	{ 0xc5a5a741, __VMLINUX_SYMBOL_STR(put_nfs_open_context) },
	{ 0xddbd8acf, __VMLINUX_SYMBOL_STR(sunrpc_cache_unregister_pipefs) },
	{ 0x9dcd4dd9, __VMLINUX_SYMBOL_STR(nfs_pgheader_init) },
	{ 0xd02d703, __VMLINUX_SYMBOL_STR(nfs_post_op_update_inode_force_wcc) },
	{ 0x3cce14b8, __VMLINUX_SYMBOL_STR(__fscache_invalidate) },
	{ 0xf8fa652f, __VMLINUX_SYMBOL_STR(vfs_kern_mount) },
	{ 0x1637ff0f, __VMLINUX_SYMBOL_STR(_raw_spin_lock_bh) },
	{ 0xe6eb57a5, __VMLINUX_SYMBOL_STR(put_rpccred) },
	{ 0x6b06fdce, __VMLINUX_SYMBOL_STR(delayed_work_timer_fn) },
	{ 0x2f14a14, __VMLINUX_SYMBOL_STR(rpc_init_wait_queue) },
	{ 0x1f2ccca6, __VMLINUX_SYMBOL_STR(lockref_get) },
	{ 0xbf7fd2f5, __VMLINUX_SYMBOL_STR(schedule_timeout_killable) },
	{ 0x2cf797dd, __VMLINUX_SYMBOL_STR(dput) },
	{ 0x91831d70, __VMLINUX_SYMBOL_STR(seq_printf) },
	{ 0x881aba27, __VMLINUX_SYMBOL_STR(rpcauth_stringify_acceptor) },
	{ 0x3ca31f35, __VMLINUX_SYMBOL_STR(nfs_net_id) },
	{ 0xc87c1f84, __VMLINUX_SYMBOL_STR(ktime_get) },
	{ 0x4484d7e4, __VMLINUX_SYMBOL_STR(nfs_link) },
	{ 0x44e9a829, __VMLINUX_SYMBOL_STR(match_token) },
	{ 0x5ef26e06, __VMLINUX_SYMBOL_STR(xdr_inline_pages) },
	{ 0x448eac3e, __VMLINUX_SYMBOL_STR(kmemdup) },
	{ 0xfe6b9641, __VMLINUX_SYMBOL_STR(generic_key_instantiate) },
	{ 0xaa004b81, __VMLINUX_SYMBOL_STR(user_free_preparse) },
	{ 0x7679ee18, __VMLINUX_SYMBOL_STR(rpc_restart_call) },
	{ 0xb3e0cd23, __VMLINUX_SYMBOL_STR(user_read) },
	{ 0x5c9933a2, __VMLINUX_SYMBOL_STR(init_user_ns) },
	{ 0xed0e4a09, __VMLINUX_SYMBOL_STR(nfs_instantiate) },
	{ 0xeff25cb5, __VMLINUX_SYMBOL_STR(nfs_setattr_update_inode) },
	{ 0x593a99b, __VMLINUX_SYMBOL_STR(init_timer_key) },
	{ 0xbb2f319a, __VMLINUX_SYMBOL_STR(nfs_commitdata_alloc) },
	{ 0x797c8fa9, __VMLINUX_SYMBOL_STR(cancel_delayed_work_sync) },
	{ 0x1182ac14, __VMLINUX_SYMBOL_STR(mutex_unlock) },
	{ 0xb573114a, __VMLINUX_SYMBOL_STR(ida_simple_get) },
	{ 0x23228ed4, __VMLINUX_SYMBOL_STR(nfs_file_read) },
	{ 0x6c1734c0, __VMLINUX_SYMBOL_STR(unregister_nfs_version) },
	{ 0xf59fdd2f, __VMLINUX_SYMBOL_STR(igrab) },
	{ 0x909d6b34, __VMLINUX_SYMBOL_STR(rpc_add_pipe_dir_object) },
	{ 0x4629334c, __VMLINUX_SYMBOL_STR(__preempt_count) },
	{ 0x7a2af7b4, __VMLINUX_SYMBOL_STR(cpu_number) },
	{ 0x7af91e57, __VMLINUX_SYMBOL_STR(rpc_mkpipe_data) },
	{ 0x652aafc5, __VMLINUX_SYMBOL_STR(generic_setxattr) },
	{ 0x7b571e8c, __VMLINUX_SYMBOL_STR(flock_lock_inode_wait) },
	{ 0xbddcb6e6, __VMLINUX_SYMBOL_STR(rpc_mkpipe_dentry) },
	{ 0x91715312, __VMLINUX_SYMBOL_STR(sprintf) },
	{ 0x4cb9e001, __VMLINUX_SYMBOL_STR(recover_lost_locks) },
	{ 0x429f738b, __VMLINUX_SYMBOL_STR(override_creds) },
	{ 0xa545392a, __VMLINUX_SYMBOL_STR(nfs_rmdir) },
	{ 0xc499ae1e, __VMLINUX_SYMBOL_STR(kstrdup) },
	{ 0x714518c7, __VMLINUX_SYMBOL_STR(kthread_create_on_node) },
	{ 0x20d41e21, __VMLINUX_SYMBOL_STR(nfs_fs_mount_common) },
	{ 0x7d11c268, __VMLINUX_SYMBOL_STR(jiffies) },
	{ 0x63197bdf, __VMLINUX_SYMBOL_STR(rpcauth_lookupcred) },
	{ 0x343a1a8, __VMLINUX_SYMBOL_STR(__list_add) },
	{ 0x75a2e07a, __VMLINUX_SYMBOL_STR(nfs_pgio_data_destroy) },
	{ 0x659de3a7, __VMLINUX_SYMBOL_STR(xdr_reserve_space) },
	{ 0xee5fc269, __VMLINUX_SYMBOL_STR(down_read) },
	{ 0xe2d5255a, __VMLINUX_SYMBOL_STR(strcmp) },
	{ 0xfb7ee006, __VMLINUX_SYMBOL_STR(nfs_alloc_fattr) },
	{ 0x915e904e, __VMLINUX_SYMBOL_STR(nfs_server_copy_userdata) },
	{ 0xa4b45ea5, __VMLINUX_SYMBOL_STR(out_of_line_wait_on_bit_lock) },
	{ 0xb71871f6, __VMLINUX_SYMBOL_STR(param_ops_string) },
	{ 0xfc619abd, __VMLINUX_SYMBOL_STR(_nfs_display_fhandle) },
	{ 0xeb5af18, __VMLINUX_SYMBOL_STR(nfs_may_open) },
	{ 0xb6e1fa83, __VMLINUX_SYMBOL_STR(rpc_remove_pipe_dir_object) },
	{ 0x40256835, __VMLINUX_SYMBOL_STR(complete_all) },
	{ 0xaa9c5f8e, __VMLINUX_SYMBOL_STR(nfs_destroy_inode) },
	{ 0xece784c2, __VMLINUX_SYMBOL_STR(rb_first) },
	{ 0x9e9e445d, __VMLINUX_SYMBOL_STR(make_kgid) },
	{ 0x60d54072, __VMLINUX_SYMBOL_STR(rpc_exit) },
	{ 0xc5ef47d5, __VMLINUX_SYMBOL_STR(nfs_init_timeout_values) },
	{ 0x66ab6de0, __VMLINUX_SYMBOL_STR(key_validate) },
	{ 0xec730387, __VMLINUX_SYMBOL_STR(_atomic_dec_and_lock) },
	{ 0xe4891cb2, __VMLINUX_SYMBOL_STR(rpc_get_sb_net) },
	{ 0xf432dd3d, __VMLINUX_SYMBOL_STR(__init_waitqueue_head) },
	{ 0x286bf171, __VMLINUX_SYMBOL_STR(nfs_flock) },
	{ 0x825e2a4c, __VMLINUX_SYMBOL_STR(rpc_delay) },
	{ 0xb606e716, __VMLINUX_SYMBOL_STR(nfs_fattr_init) },
	{ 0xc2d68b69, __VMLINUX_SYMBOL_STR(key_revoke) },
	{ 0x49f3840e, __VMLINUX_SYMBOL_STR(cache_check) },
	{ 0xd46415cb, __VMLINUX_SYMBOL_STR(nfs4_fs_type) },
	{ 0x60ea2d6, __VMLINUX_SYMBOL_STR(kstrtoull) },
	{ 0x6af6191d, __VMLINUX_SYMBOL_STR(trace_define_field) },
	{ 0xe810fc81, __VMLINUX_SYMBOL_STR(ftrace_event_buffer_commit) },
	{ 0xfcf16b9, __VMLINUX_SYMBOL_STR(xdr_terminate_string) },
	{ 0xfb578fc5, __VMLINUX_SYMBOL_STR(memset) },
	{ 0x56346541, __VMLINUX_SYMBOL_STR(nfs_setattr) },
	{ 0xdf27dc41, __VMLINUX_SYMBOL_STR(nfs_free_server) },
	{ 0xc694bc7c, __VMLINUX_SYMBOL_STR(rpc_queue_upcall) },
	{ 0x325cf28d, __VMLINUX_SYMBOL_STR(rpc_put_task_async) },
	{ 0x29236037, __VMLINUX_SYMBOL_STR(unregister_pernet_subsys) },
	{ 0xb3df81ab, __VMLINUX_SYMBOL_STR(nfs_file_fsync_commit) },
	{ 0x9b49fe6b, __VMLINUX_SYMBOL_STR(from_kuid) },
	{ 0xf53382c0, __VMLINUX_SYMBOL_STR(rpc_call_sync) },
	{ 0x3f2690f2, __VMLINUX_SYMBOL_STR(nfs_check_flags) },
	{ 0x208d4d37, __VMLINUX_SYMBOL_STR(rpc_init_priority_wait_queue) },
	{ 0x435836df, __VMLINUX_SYMBOL_STR(nfs_file_set_open_context) },
	{ 0x3530268c, __VMLINUX_SYMBOL_STR(svc_create) },
	{ 0x452bdfb8, __VMLINUX_SYMBOL_STR(xprt_setup_backchannel) },
	{ 0x71460801, __VMLINUX_SYMBOL_STR(rpc_call_start) },
	{ 0xdfef51cc, __VMLINUX_SYMBOL_STR(svc_destroy) },
	{ 0x7f9584b2, __VMLINUX_SYMBOL_STR(current_task) },
	{ 0xf35647d0, __VMLINUX_SYMBOL_STR(freezing_slow_path) },
	{ 0xac90755d, __VMLINUX_SYMBOL_STR(__tracepoint_nfs_fsync_enter) },
	{ 0xae868489, __VMLINUX_SYMBOL_STR(__mutex_init) },
	{ 0x27e1a049, __VMLINUX_SYMBOL_STR(printk) },
	{ 0x5896e69, __VMLINUX_SYMBOL_STR(register_nfs_version) },
	{ 0x20c55ae0, __VMLINUX_SYMBOL_STR(sscanf) },
	{ 0x7db9f3ec, __VMLINUX_SYMBOL_STR(kthread_stop) },
	{ 0x46478cad, __VMLINUX_SYMBOL_STR(d_rehash) },
	{ 0x6d0bf0bc, __VMLINUX_SYMBOL_STR(nfs_create_rpc_client) },
	{ 0x9324c026, __VMLINUX_SYMBOL_STR(sunrpc_cache_lookup) },
	{ 0xb9c030ab, __VMLINUX_SYMBOL_STR(nfs_path) },
	{ 0xad039c54, __VMLINUX_SYMBOL_STR(mod_delayed_work_on) },
	{ 0x238accbc, __VMLINUX_SYMBOL_STR(alloc_nfs_open_context) },
	{ 0xeef9bff6, __VMLINUX_SYMBOL_STR(ida_simple_remove) },
	{ 0x71a79e66, __VMLINUX_SYMBOL_STR(rpc_wake_up_first) },
	{ 0x15ddbdc, __VMLINUX_SYMBOL_STR(wait_for_completion_interruptible) },
	{ 0x7c489ae6, __VMLINUX_SYMBOL_STR(nfs_request_remove_commit_list) },
	{ 0x559317e3, __VMLINUX_SYMBOL_STR(nfs_write_inode) },
	{ 0xa1c76e0a, __VMLINUX_SYMBOL_STR(_cond_resched) },
	{ 0x4d9b652b, __VMLINUX_SYMBOL_STR(rb_erase) },
	{ 0xb4390f9a, __VMLINUX_SYMBOL_STR(mcount) },
	{ 0xf5eb4710, __VMLINUX_SYMBOL_STR(from_kgid) },
	{ 0x7326aec1, __VMLINUX_SYMBOL_STR(nfs_fscache_open_file) },
	{ 0xad631db2, __VMLINUX_SYMBOL_STR(nfs_zap_acl_cache) },
	{ 0x5a921311, __VMLINUX_SYMBOL_STR(strncmp) },
	{ 0x5792f848, __VMLINUX_SYMBOL_STR(strlcpy) },
	{ 0x1f46456a, __VMLINUX_SYMBOL_STR(nfs_generic_pg_test) },
	{ 0x16305289, __VMLINUX_SYMBOL_STR(warn_slowpath_null) },
	{ 0x3a20ffe2, __VMLINUX_SYMBOL_STR(sunrpc_cache_register_pipefs) },
	{ 0x5aa27682, __VMLINUX_SYMBOL_STR(nfs_pageio_reset_write_mds) },
	{ 0x66b0dc55, __VMLINUX_SYMBOL_STR(mutex_lock) },
	{ 0x54170aa5, __VMLINUX_SYMBOL_STR(nfs_getattr) },
	{ 0x735af107, __VMLINUX_SYMBOL_STR(xdr_init_decode) },
	{ 0x393d4de9, __VMLINUX_SYMBOL_STR(crc32_le) },
	{ 0x9de8c84f, __VMLINUX_SYMBOL_STR(nfs_umount_begin) },
	{ 0x84ffea8b, __VMLINUX_SYMBOL_STR(idr_preload) },
	{ 0x521445b, __VMLINUX_SYMBOL_STR(list_del) },
	{ 0x9651d4a9, __VMLINUX_SYMBOL_STR(rpc_lookup_machine_cred) },
	{ 0x4d470575, __VMLINUX_SYMBOL_STR(rpc_d_lookup_sb) },
	{ 0xe97f4ce5, __VMLINUX_SYMBOL_STR(qword_get) },
	{ 0x8e381234, __VMLINUX_SYMBOL_STR(nfs_invalidate_atime) },
	{ 0xa3689887, __VMLINUX_SYMBOL_STR(rpc_sleep_on_priority) },
	{ 0x499b75d9, __VMLINUX_SYMBOL_STR(rpc_lookup_cred) },
	{ 0xc5fdef94, __VMLINUX_SYMBOL_STR(call_usermodehelper) },
	{ 0x294043e3, __VMLINUX_SYMBOL_STR(nfs_clear_inode) },
	{ 0x71e2425b, __VMLINUX_SYMBOL_STR(rpc_peeraddr2str) },
	{ 0x650030f2, __VMLINUX_SYMBOL_STR(nfs4_dentry_operations) },
	{ 0x1ed40c61, __VMLINUX_SYMBOL_STR(nfs_retry_commit) },
	{ 0x83fc4cae, __VMLINUX_SYMBOL_STR(user_describe) },
	{ 0xb6a68816, __VMLINUX_SYMBOL_STR(find_last_bit) },
	{ 0x27d421bf, __VMLINUX_SYMBOL_STR(svc_process) },
	{ 0xa07a37f0, __VMLINUX_SYMBOL_STR(memchr) },
	{ 0xb57bb65f, __VMLINUX_SYMBOL_STR(svc_rpcb_cleanup) },
	{ 0xb74787a0, __VMLINUX_SYMBOL_STR(idr_alloc) },
	{ 0x4e3567f7, __VMLINUX_SYMBOL_STR(match_int) },
	{ 0x5fd021f4, __VMLINUX_SYMBOL_STR(rpc_clone_client) },
	{ 0x527f7e99, __VMLINUX_SYMBOL_STR(rpc_clone_client_set_auth) },
	{ 0x6f4a601e, __VMLINUX_SYMBOL_STR(request_key_with_auxdata) },
	{ 0x87025256, __VMLINUX_SYMBOL_STR(up_write) },
	{ 0xf07e63ee, __VMLINUX_SYMBOL_STR(nfs_do_submount) },
	{ 0x42f2c81f, __VMLINUX_SYMBOL_STR(nfs4_client_id_uniquifier) },
	{ 0x87c18a1f, __VMLINUX_SYMBOL_STR(down_write) },
	{ 0x183af23f, __VMLINUX_SYMBOL_STR(fput) },
	{ 0x1d960874, __VMLINUX_SYMBOL_STR(sunrpc_init_cache_detail) },
	{ 0x36c0cdb7, __VMLINUX_SYMBOL_STR(get_nfs_open_context) },
	{ 0x38ec5717, __VMLINUX_SYMBOL_STR(nfs_kill_super) },
	{ 0xb43d9c2f, __VMLINUX_SYMBOL_STR(ftrace_print_flags_seq) },
	{ 0x3663d588, __VMLINUX_SYMBOL_STR(sunrpc_destroy_cache_detail) },
	{ 0xb1002f58, __VMLINUX_SYMBOL_STR(mount_subtree) },
	{ 0x4519dd21, __VMLINUX_SYMBOL_STR(generic_removexattr) },
	{ 0x868784cb, __VMLINUX_SYMBOL_STR(__symbol_get) },
	{ 0x822392c9, __VMLINUX_SYMBOL_STR(key_put) },
	{ 0x26884ff7, __VMLINUX_SYMBOL_STR(nfs_alloc_fhandle) },
	{ 0xaf6ae696, __VMLINUX_SYMBOL_STR(kstrndup) },
	{ 0xedcf6be4, __VMLINUX_SYMBOL_STR(qword_add) },
	{ 0x5c6ffc53, __VMLINUX_SYMBOL_STR(nfs_show_options) },
	{ 0xf11543ff, __VMLINUX_SYMBOL_STR(find_first_zero_bit) },
	{ 0x12fa34b7, __VMLINUX_SYMBOL_STR(nfs_put_client) },
	{ 0xb3bfac41, __VMLINUX_SYMBOL_STR(flush_signals) },
	{ 0xf43a3836, __VMLINUX_SYMBOL_STR(nfs_lookup) },
	{ 0xb5ffc550, __VMLINUX_SYMBOL_STR(nfs_rename) },
	{ 0xa3e7a3d7, __VMLINUX_SYMBOL_STR(nfs_put_lock_context) },
	{ 0xcf3d764b, __VMLINUX_SYMBOL_STR(svc_xprt_put) },
	{ 0x5079856e, __VMLINUX_SYMBOL_STR(ftrace_event_reg) },
	{ 0xd93f4fff, __VMLINUX_SYMBOL_STR(mntput) },
	{ 0x166bf678, __VMLINUX_SYMBOL_STR(__rpc_wait_for_completion_task) },
	{ 0x1b520960, __VMLINUX_SYMBOL_STR(nfs_remount) },
	{ 0x52e5b728, __VMLINUX_SYMBOL_STR(svc_create_xprt) },
	{ 0x83390a12, __VMLINUX_SYMBOL_STR(module_put) },
	{ 0x44931452, __VMLINUX_SYMBOL_STR(rpc_pipe_generic_upcall) },
	{ 0x9ecb814a, __VMLINUX_SYMBOL_STR(nfs_atomic_open) },
	{ 0x954cec74, __VMLINUX_SYMBOL_STR(rpc_protocol) },
	{ 0xe2cfb038, __VMLINUX_SYMBOL_STR(__cond_resched_lock) },
	{ 0x67d8d35, __VMLINUX_SYMBOL_STR(security_release_secctx) },
	{ 0xbbd76e57, __VMLINUX_SYMBOL_STR(bit_wait) },
	{ 0x9f984513, __VMLINUX_SYMBOL_STR(strrchr) },
	{ 0x387e1639, __VMLINUX_SYMBOL_STR(rpc_pipefs_notifier_register) },
	{ 0x1d2c09db, __VMLINUX_SYMBOL_STR(__free_pages) },
	{ 0x3c6ade09, __VMLINUX_SYMBOL_STR(nfs_get_client) },
	{ 0xf6938d5a, __VMLINUX_SYMBOL_STR(simple_nosetlease) },
	{ 0xb90d9f24, __VMLINUX_SYMBOL_STR(rpc_destroy_pipe_data) },
	{ 0x2f2f7bc0, __VMLINUX_SYMBOL_STR(idr_find_slowpath) },
	{ 0xa8e9e1ae, __VMLINUX_SYMBOL_STR(send_implementation_id) },
	{ 0xa916b694, __VMLINUX_SYMBOL_STR(strnlen) },
	{ 0x93f54ddb, __VMLINUX_SYMBOL_STR(bc_svc_process) },
	{ 0xc61cece1, __VMLINUX_SYMBOL_STR(rpc_switch_client_transport) },
	{ 0x4049e833, __VMLINUX_SYMBOL_STR(xprt_destroy_backchannel) },
	{ 0xfd47147e, __VMLINUX_SYMBOL_STR(truncate_inode_pages_final) },
	{ 0x1187d2bf, __VMLINUX_SYMBOL_STR(make_kuid) },
	{ 0xdecc9220, __VMLINUX_SYMBOL_STR(nfs_generic_pgio) },
	{ 0x93fca811, __VMLINUX_SYMBOL_STR(__get_free_pages) },
	{ 0xac3d20e2, __VMLINUX_SYMBOL_STR(unregister_sysctl_table) },
	{ 0xba63339c, __VMLINUX_SYMBOL_STR(_raw_spin_unlock_bh) },
	{ 0xf0fdf6cb, __VMLINUX_SYMBOL_STR(__stack_chk_fail) },
	{ 0x798ad02d, __VMLINUX_SYMBOL_STR(xdr_enter_page) },
	{ 0x1000e51, __VMLINUX_SYMBOL_STR(schedule) },
	{ 0xa202a8e5, __VMLINUX_SYMBOL_STR(kmalloc_order_trace) },
	{ 0x79a38e61, __VMLINUX_SYMBOL_STR(___ratelimit) },
	{ 0x3b2d3151, __VMLINUX_SYMBOL_STR(rpc_release_client) },
	{ 0x3d6c1208, __VMLINUX_SYMBOL_STR(nfs_clone_sb_security) },
	{ 0xed5a4761, __VMLINUX_SYMBOL_STR(rpc_get_timeout) },
	{ 0x50027a46, __VMLINUX_SYMBOL_STR(d_drop) },
	{ 0x7c3e971f, __VMLINUX_SYMBOL_STR(nfs_file_mmap) },
	{ 0x391c2b52, __VMLINUX_SYMBOL_STR(nfs_get_lock_context) },
	{ 0x759d4ee8, __VMLINUX_SYMBOL_STR(inode_newsize_ok) },
	{ 0x7ffa58aa, __VMLINUX_SYMBOL_STR(nfs_revalidate_inode) },
	{ 0x17c70df8, __VMLINUX_SYMBOL_STR(nfs_mkdir) },
	{ 0x5e95b1cd, __VMLINUX_SYMBOL_STR(current_umask) },
	{ 0x4482cdb, __VMLINUX_SYMBOL_STR(__refrigerator) },
	{ 0xb04f11e8, __VMLINUX_SYMBOL_STR(nfs_fill_super) },
	{ 0x90a5530f, __VMLINUX_SYMBOL_STR(nfsiod_workqueue) },
	{ 0x584b8482, __VMLINUX_SYMBOL_STR(nfs_inc_attr_generation_counter) },
	{ 0xb1cfe5d4, __VMLINUX_SYMBOL_STR(__module_put_and_exit) },
	{ 0x1e579dc5, __VMLINUX_SYMBOL_STR(__list_add_rcu) },
	{ 0x71c4b1d1, __VMLINUX_SYMBOL_STR(wake_up_process) },
	{ 0x26153327, __VMLINUX_SYMBOL_STR(nfs_statfs) },
	{ 0x148b3ae8, __VMLINUX_SYMBOL_STR(register_pernet_subsys) },
	{ 0xee0613fe, __VMLINUX_SYMBOL_STR(__put_cred) },
	{ 0xe645495f, __VMLINUX_SYMBOL_STR(rpc_put_sb_net) },
	{ 0x4d6da31, __VMLINUX_SYMBOL_STR(complete_request_key) },
	{ 0x2b50cd9b, __VMLINUX_SYMBOL_STR(nfs_create) },
	{ 0x2edc705d, __VMLINUX_SYMBOL_STR(vfs_setpos) },
	{ 0xd66f10d9, __VMLINUX_SYMBOL_STR(keyring_alloc) },
	{ 0x95f34231, __VMLINUX_SYMBOL_STR(nfs_pageio_resend) },
	{ 0x8cb4883a, __VMLINUX_SYMBOL_STR(rpc_run_task) },
	{ 0x57072645, __VMLINUX_SYMBOL_STR(rpc_sleep_on) },
	{ 0xdc2f5b91, __VMLINUX_SYMBOL_STR(register_key_type) },
	{ 0x783c8172, __VMLINUX_SYMBOL_STR(kmem_cache_alloc_trace) },
	{ 0xd52bf1ce, __VMLINUX_SYMBOL_STR(_raw_spin_lock) },
	{ 0x65994f1, __VMLINUX_SYMBOL_STR(xdr_encode_opaque_fixed) },
	{ 0x2db3a12b, __VMLINUX_SYMBOL_STR(xdr_read_pages) },
	{ 0x3539f11b, __VMLINUX_SYMBOL_STR(match_strlcpy) },
	{ 0x739b8545, __VMLINUX_SYMBOL_STR(key_instantiate_and_link) },
	{ 0xd8cb66a3, __VMLINUX_SYMBOL_STR(ftrace_event_buffer_reserve) },
	{ 0xa5526619, __VMLINUX_SYMBOL_STR(rb_insert_color) },
	{ 0x85d533b8, __VMLINUX_SYMBOL_STR(nfs_pgio_current_mirror) },
	{ 0xe5919cb1, __VMLINUX_SYMBOL_STR(xdr_encode_opaque) },
	{ 0xf6052c41, __VMLINUX_SYMBOL_STR(nfs_file_release) },
	{ 0xbd658741, __VMLINUX_SYMBOL_STR(__module_get) },
	{ 0xcf624135, __VMLINUX_SYMBOL_STR(_copy_from_pages) },
	{ 0x4302d0eb, __VMLINUX_SYMBOL_STR(free_pages) },
	{ 0xad9c1958, __VMLINUX_SYMBOL_STR(event_triggers_call) },
	{ 0xe24a023, __VMLINUX_SYMBOL_STR(rpc_restart_call_prepare) },
	{ 0xd8bd4dc8, __VMLINUX_SYMBOL_STR(svc_shutdown_net) },
	{ 0xb3f7646e, __VMLINUX_SYMBOL_STR(kthread_should_stop) },
	{ 0x45834e9, __VMLINUX_SYMBOL_STR(rpcauth_get_pseudoflavor) },
	{ 0x31db3198, __VMLINUX_SYMBOL_STR(out_of_line_wait_on_bit) },
	{ 0x2cce0c2f, __VMLINUX_SYMBOL_STR(rpc_wake_up_queued_task) },
	{ 0x1f2a9970, __VMLINUX_SYMBOL_STR(rpc_ntop) },
	{ 0xcab64105, __VMLINUX_SYMBOL_STR(nfs_sb_active) },
	{ 0xcafa0c03, __VMLINUX_SYMBOL_STR(rpc_pton) },
	{ 0x9c95b8f6, __VMLINUX_SYMBOL_STR(iter_file_splice_write) },
	{ 0x1e047854, __VMLINUX_SYMBOL_STR(warn_slowpath_fmt) },
	{ 0xf8701e7e, __VMLINUX_SYMBOL_STR(nfs_pgio_header_alloc) },
	{ 0x67533b34, __VMLINUX_SYMBOL_STR(nfs_pgio_header_free) },
	{ 0xe7d8170e, __VMLINUX_SYMBOL_STR(iput) },
	{ 0x699eb2fc, __VMLINUX_SYMBOL_STR(svc_exit_thread) },
	{ 0xf642bbb1, __VMLINUX_SYMBOL_STR(ida_remove) },
	{ 0x8dfaedb1, __VMLINUX_SYMBOL_STR(nfs_post_op_update_inode) },
	{ 0x37a0cba, __VMLINUX_SYMBOL_STR(kfree) },
	{ 0x6e4766da, __VMLINUX_SYMBOL_STR(d_instantiate_unique) },
	{ 0x53660bc4, __VMLINUX_SYMBOL_STR(truncate_pagecache_range) },
	{ 0xa46f2f1b, __VMLINUX_SYMBOL_STR(kstrtouint) },
	{ 0xae8cb472, __VMLINUX_SYMBOL_STR(inode_dio_wait) },
	{ 0x164bc5c6, __VMLINUX_SYMBOL_STR(ihold) },
	{ 0x69acdf38, __VMLINUX_SYMBOL_STR(memcpy) },
	{ 0xda6301, __VMLINUX_SYMBOL_STR(user_preparse) },
	{ 0x75925e90, __VMLINUX_SYMBOL_STR(trace_event_raw_init) },
	{ 0x6df1aaf1, __VMLINUX_SYMBOL_STR(kernel_sigaction) },
	{ 0x5c8b5ce8, __VMLINUX_SYMBOL_STR(prepare_to_wait) },
	{ 0x9e61bb05, __VMLINUX_SYMBOL_STR(set_freezable) },
	{ 0xeb6878f9, __VMLINUX_SYMBOL_STR(nfs_file_splice_read) },
	{ 0xdb60b169, __VMLINUX_SYMBOL_STR(nfs_probe_fsinfo) },
	{ 0x3604d154, __VMLINUX_SYMBOL_STR(ida_pre_get) },
	{ 0x42bb8d80, __VMLINUX_SYMBOL_STR(perf_trace_buf_prepare) },
	{ 0xdee32a2, __VMLINUX_SYMBOL_STR(unregister_key_type) },
	{ 0xc693e244, __VMLINUX_SYMBOL_STR(nfs_lock) },
	{ 0x97661b, __VMLINUX_SYMBOL_STR(idr_replace) },
	{ 0x53569707, __VMLINUX_SYMBOL_STR(this_cpu_off) },
	{ 0xa2a1eb73, __VMLINUX_SYMBOL_STR(put_page) },
	{ 0x5eafbbac, __VMLINUX_SYMBOL_STR(svc_prepare_thread) },
	{ 0x4ca9669f, __VMLINUX_SYMBOL_STR(scnprintf) },
	{ 0x7a36ddbd, __VMLINUX_SYMBOL_STR(rpc_wake_up) },
	{ 0x2c352408, __VMLINUX_SYMBOL_STR(rpc_localaddr) },
	{ 0x453464e3, __VMLINUX_SYMBOL_STR(nfs4_label_alloc) },
	{ 0xfa66f77c, __VMLINUX_SYMBOL_STR(finish_wait) },
	{ 0xad8d99d3, __VMLINUX_SYMBOL_STR(nfs_inode_attach_open_context) },
	{ 0xb498a16a, __VMLINUX_SYMBOL_STR(nfs_mknod) },
	{ 0xc3902973, __VMLINUX_SYMBOL_STR(rpc_net_ns) },
	{ 0xca9360b5, __VMLINUX_SYMBOL_STR(rb_next) },
	{ 0x420be990, __VMLINUX_SYMBOL_STR(ftrace_print_symbols_seq) },
	{ 0x94d64685, __VMLINUX_SYMBOL_STR(__tracepoint_nfs_fsync_exit) },
	{ 0x3d822811, __VMLINUX_SYMBOL_STR(nfs_commitdata_release) },
	{ 0xb51a3724, __VMLINUX_SYMBOL_STR(rpc_pipefs_notifier_unregister) },
	{ 0xc9c56268, __VMLINUX_SYMBOL_STR(nfs_init_commit) },
	{ 0x6e9dd606, __VMLINUX_SYMBOL_STR(__symbol_put) },
	{ 0x7c8e1157, __VMLINUX_SYMBOL_STR(nfs_wait_client_init_complete) },
	{ 0x16b6c17, __VMLINUX_SYMBOL_STR(nfs_pageio_init_read) },
	{ 0x100c7ddf, __VMLINUX_SYMBOL_STR(cache_create_net) },
	{ 0x2e0d2f7f, __VMLINUX_SYMBOL_STR(queue_work_on) },
	{ 0x15bfbf60, __VMLINUX_SYMBOL_STR(xdr_inline_decode) },
	{ 0x4b06d2e7, __VMLINUX_SYMBOL_STR(complete) },
	{ 0x28318305, __VMLINUX_SYMBOL_STR(snprintf) },
	{ 0x644ecd4, __VMLINUX_SYMBOL_STR(nfs_drop_inode) },
	{ 0xdcecc296, __VMLINUX_SYMBOL_STR(svc_recv) },
	{ 0x11caddc7, __VMLINUX_SYMBOL_STR(trace_seq_printf) },
	{ 0xe11313, __VMLINUX_SYMBOL_STR(nfs_pageio_init_write) },
	{ 0x7d1d3712, __VMLINUX_SYMBOL_STR(nfs_wb_all) },
	{ 0x64deabe4, __VMLINUX_SYMBOL_STR(nfs_sb_deactive) },
	{ 0xad6a21c0, __VMLINUX_SYMBOL_STR(nfs_access_zap_cache) },
	{ 0xa6c865ee, __VMLINUX_SYMBOL_STR(nfs_wait_bit_killable) },
	{ 0x1e2b6913, __VMLINUX_SYMBOL_STR(svc_bind) },
	{ 0x451afa99, __VMLINUX_SYMBOL_STR(rpc_shutdown_client) },
	{ 0xcdc39c9e, __VMLINUX_SYMBOL_STR(security_ismaclabel) },
	{ 0x16f9e79c, __VMLINUX_SYMBOL_STR(xdr_write_pages) },
	{ 0x88120885, __VMLINUX_SYMBOL_STR(nfs_pageio_reset_read_mds) },
	{ 0xc08dbb2a, __VMLINUX_SYMBOL_STR(nfs_mark_client_ready) },
	{ 0x4adfc86a, __VMLINUX_SYMBOL_STR(nfs_file_flush) },
	{ 0xdae9b5d7, __VMLINUX_SYMBOL_STR(nfs4_disable_idmapping) },
	{ 0x7188ce12, __VMLINUX_SYMBOL_STR(ida_get_new_above) },
	{ 0x53f6ffbc, __VMLINUX_SYMBOL_STR(wait_for_completion_timeout) },
	{ 0x250e584, __VMLINUX_SYMBOL_STR(nfs_alloc_client) },
	{ 0x98b6dac, __VMLINUX_SYMBOL_STR(proc_dointvec_jiffies) },
	{ 0xb5419b40, __VMLINUX_SYMBOL_STR(_copy_from_user) },
	{ 0x4425d9aa, __VMLINUX_SYMBOL_STR(user_revoke) },
	{ 0xb2c8749b, __VMLINUX_SYMBOL_STR(param_ops_ulong) },
	{ 0xed97f645, __VMLINUX_SYMBOL_STR(user_destroy) },
	{ 0xd1645818, __VMLINUX_SYMBOL_STR(clear_inode) },
	{ 0x27c7f2c, __VMLINUX_SYMBOL_STR(xdr_set_scratch_buffer) },
	{ 0xef513bba, __VMLINUX_SYMBOL_STR(nfs_writeback_update_inode) },
	{ 0xffd3253b, __VMLINUX_SYMBOL_STR(ftrace_raw_output_prep) },
	{ 0xd542439, __VMLINUX_SYMBOL_STR(__ipv6_addr_type) },
	{ 0x4616ada1, __VMLINUX_SYMBOL_STR(revert_creds) },
	{ 0x3f438ff2, __VMLINUX_SYMBOL_STR(filemap_flush) },
	{ 0xccad536e, __VMLINUX_SYMBOL_STR(try_module_get) },
	{ 0x37837236, __VMLINUX_SYMBOL_STR(generic_listxattr) },
	{ 0xf4b1e3bb, __VMLINUX_SYMBOL_STR(nfs_server_remove_lists) },
	{ 0x771be4d4, __VMLINUX_SYMBOL_STR(nfs_show_stats) },
	{ 0xe914e41e, __VMLINUX_SYMBOL_STR(strcpy) },
	{ 0xb6746c35, __VMLINUX_SYMBOL_STR(nfs_access_add_cache) },
	{ 0xb454eb96, __VMLINUX_SYMBOL_STR(nfs_clone_server) },
	{ 0x1ebac2bd, __VMLINUX_SYMBOL_STR(getboottime64) },
	{ 0xf8b3f9b3, __VMLINUX_SYMBOL_STR(rpc_put_task) },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=nfs,sunrpc,fscache";


MODULE_INFO(srcversion, "3A55F6D3FD8D1442D179C81");
